$(document).ready(
function()
{
	// initialise the "Select date" link
	$('#s-date-pick')
		.datePicker(
			// associate the link with a date picker
			{
				createButton:false
			}
		).bind(
			// when the link is clicked display the date picker
			'click',
			function()
			{
				updateSelectsStart($(this).dpGetSelected()[0]);
				$(this).dpDisplay();
				return false;
			}
		).bind(
			// when a date is selected update the SELECTs
			'dateSelected',
			function(e, selectedDate, $td, state)
			{
				updateSelectsStart(selectedDate);
			}
		).bind(
			'dpClosed',
			function(e, selected)
			{
				updateSelectsStart(selected[0]);
			}
		);
		
	$('#e-date-pick')
		.datePicker(
			// associate the link with a date picker
			{
				createButton:false
			}
		).bind(
			// when the link is clicked display the date picker
			'click',
			function()
			{
				updateSelectsEnd($(this).dpGetSelected()[0]);
				$(this).dpDisplay();
				return false;
			}
		).bind(
			// when a date is selected update the SELECTs
			'dateSelected',
			function(e, selectedDate, $td, state)
			{
				updateSelectsEnd(selectedDate);
			}
		).bind(
			'dpClosed',
			function(e, selected)
			{
				updateSelectsEnd(selected[0]);
			}
		);
		
	var updateSelectsStart = function (selectedDate)
	{
		selectedDate = new Date(selectedDate);
		var d = selectedDate.getDate();
		var m = selectedDate.getMonth();
		var y = selectedDate.getFullYear();
		($('#sday')[0]).selectedIndex = d - 1;
		($('#smonth')[0]).selectedIndex = m;
		($('#syear')[0]).selectedIndex = y - today.getFullYear();
	}
	
	var updateSelectsEnd = function (selectedDate)
	{
		selectedDate = new Date(selectedDate);
		var d = selectedDate.getDate();
		var m = selectedDate.getMonth();
		var y = selectedDate.getFullYear();
		
		($('#eday')[0]).selectedIndex = d - 1;
		($('#emonth')[0]).selectedIndex = m;
		($('#eyear')[0]).selectedIndex = y - today.getFullYear();
	}
	
	// listen for when the selects are changed and update the picker
	$('#sday, #smonth, #syear')
		.bind(
			'change',
			function()
			{
				var d = new Date(
							$('#syear').val(),
							$('#smonth').val()-1,
							$('#sday').val()
						);
				$('#s-date-pick').dpSetSelected(d.asString());
			}
		);
	
	$('#eday, #emonth, #eyear')
		.bind(
			'change',
			function()
			{
				var d = new Date(
							$('#eyear').val(),
							$('#emonth').val()-1,
							$('#eday').val()
						);
				$('#e-date-pick').dpSetSelected(d.asString());
			}
		);
	// default the position of the selects to today
	var today = new Date();
	if($('#sday')[0] && $('#smonth')[0] && $('#syear')[0] && $('#eday')[0] && $('#emonth')[0] && $('#eyear')[0])
	{
		if($('#sday').val()!="" && $("#smonth").val()!="" && $("#syear").val()!="")
		{
			today = new Date(
				$('#syear').val(),
				$('#smonth').val()-1,
				$('#sday').val()
			);
		}
		
		($('#sday')[0]).selectedIndex = today.getDate() - 1;
		($('#smonth')[0]).selectedIndex = today.getMonth();
		($('#syear')[0]).selectedIndex = today.getFullYear() - today.getFullYear();
		
		if($('#eday').val()!="" && $("#emonth").val()!="" && $("#eyear").val()!="")
		{
			today = new Date(
				$('#eyear').val(),
				$('#emonth').val()-1,
				$('#eday').val()
			);
		}
		
		($('#eday')[0]).selectedIndex = today.getDate() - 1;
		($('#emonth')[0]).selectedIndex = today.getMonth();
		($('#eyear')[0]).selectedIndex = today.getFullYear() - today.getFullYear();
		
		// and update the datePicker to reflect it...
		$('#sday').trigger('change');
		$('#eday').trigger('change');
	}
	
	$("#property_currency").change(
		function(e)
		{
			var currency_id = $(this).val();
			var property_id = $("#property_id").val();
			if(currency_id=="" || property_id=="") return false;
			$.ajax(
				{
					method: "post",
					url: site_domain+"admin/ajax/change_property_currency/"+property_id+"/"+currency_id,
					beforeSend: function(){ $("#ajax-loader").show(); },
					complete: function(){  $("#ajax-loader").hide(); },
					success: function(xml){
					}
				 }
			);
		}
	);
}
);