function plugin_regexrep_setup(editor_id, node) {
  node.innerHTML = plugin_regexrep_replace(node.innerHTML, 'setupcontent_regex');
}

// Same as above, but for saving.
function plugin_regexrep_save(editor_id, content, node) {
  return plugin_regexrep_replace(content, 'save_regex');
}

function plugin_regexrep_replace(content, tiny_param) {
  var re_string = tinyMCE.getParam(tiny_param);
  if (typeof(re_string) == "undefined" || re_string == "" || re_string == null) {
    return;
  }

  // Polite [*], so's not to break multiline comments when commenting out.
  var re_array = re_string.split(/[*][*]/g);

  for (i=0; i<re_array.length; i++) {
    if (typeof(re_array[i]) == "undefined" || re_array[i] == "" || re_array[i] == null) {
      continue;
    }
    var tokens = re_array[i].split('/++/g');
    if (tokens[0] == null) { return; } // Should never happen, but...
    var replace = ((tokens[1] == null || typeof tokens[1] == "undefined") ? '' : tokens[1] );
    var flags = ((tokens[2] == null || typeof tokens[2] == "undefined") ? 'g' : tokens[2] );
    var re = new RegExp(tokens[0], flags);
    content = content.replace(re, replace);
//alert("Splitting: "+tokens[0]+" -> "+replace+" : "+flags+"n"+content);
  }
  return content;
}

var init_options = {
	mode : "textareas",
	theme : "advanced",
	/*
	plugins : "safari,spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,imagemanager,filemanager",
	*/
	
	plugins : "safari,style,media,contextmenu,paste,fullscreen,advimage,inlinepopups,vrs4templates,vrs4gallery",
	
	// Theme options
	theme_advanced_buttons1 : "pastetext,pasteword,|,styleselect,formatselect,fontselect,fontsizeselect,|,forecolor,backcolor",
	theme_advanced_buttons2 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,bullist,numlist,|,outdent,indent,|,link,unlink,anchor,help,code",
	theme_advanced_buttons3 : "hr,visualaid,|,sub,sup,|,image,media,|,fullscreen,|,undo,redo,|,vrs4templates,vrs4gallery",
	theme_advanced_buttons4 : "",
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_statusbar_location : "bottom",
	theme_advanced_resizing : true,
	

	/*
	template_external_list_url : "js/template_list.js",
	external_link_list_url : "js/link_list.js",
	external_image_list_url : "js/image_list.js",
	media_external_list_url : "js/media_list.js",
	*/
	
	button_tile_map : true,
	content_css : public_domain+"css/cms_style.css",
	editor_selector : "mceEditor",
	editor_deselector : "mceNoEditor",
	width:"96%",
	height:"500px",
	site_url:site_domain,
	/*
	relative_urls : false,
	remove_script_host : false,
	document_base_url : site_domain*
	*/
	convert_urls:false

};

function init_editor()
{
	tinyMCE_GZ.init(init_options, 
	function() {
		tinyMCE.init(init_options);
   });

}

$(document).ready(function()
{
	//$('a[rel*=facebox]').facebox();
	if($(".mceEditor").length!=0) 
	{
		init_editor();
	}
});

