<div id="details">
	<div id="reviews">
		<span class="title">{$tpl_lang->translate("reviews")}</span>
		<span class="number">{$property_object->m_number_reviews}</span>
		<a href="{$smarty.const.SITE_DOMAIN}properties/reviews/{$property_object->m_out->property_id}">{$tpl_lang->translate("read")}</a> | 
		<a href="{$smarty.const.SITE_DOMAIN}properties/reviews/{$property_object->m_out->property_id}#add">{$tpl_lang->translate("add")}</a>
	</div>
	<div id="views">
		<span class="title">{$tpl_lang->translate("views")}</span>
		<span class="number">{$property_object->m_out->views}</span>
	</div>
	<div class="details_nav">
		{foreach item=item_location from=$property_object->m_location}
	   		<a class="small_blue" href="{$smarty.const.SITE_DOMAIN}search/location/{$item_location->title}">{$item_location->title}</a> /
	   	{/foreach}
	</div>
	<div class="details_box">
		<h1 class="orange" id="overview">{$property_object->m_out->title}</h1>
		<div class="details_splitter">&nbsp;</div>
		<div class="details_body clearfix">
			<ul class="overview">
				<li><strong>{$tpl_lang->translate("property")|lower} #</strong> : {$property_object->m_out->property_id}</li>
				<li><strong>{$tpl_lang->translate("property_type")|lower}</strong> : {$property_object->m_out->property_type_title|lower}</li>
				<li><strong>{$tpl_lang->translate("number_bedrooms")|lower}</strong> : {$property_object->m_out->number_bedrooms}</li>
				<li><strong>{$tpl_lang->translate("max_guests")|lower}</strong> : {$property_object->m_out->max_guests}</li>
				<li><strong>{$tpl_lang->translate("number_bathrooms")|lower}</strong> : {$property_object->m_out->number_bathrooms}</li>
			</ul>
			<ul class="overview">
				{foreach item=item_suitability from=$property_object->m_out->suitability}
					<li><strong>{$item_suitability.label}</strong> : {$item_suitability.value}</li>
				{/foreach}
			</ul>
			<ul class="options">
				<li>
					{if_in_wishlist property_id=$property_object->m_out->property_id assign="in_wishlist"}
		   			{if $in_wishlist == 0}
					<img src="{$smarty.const.PUBLIC_DOMAIN}images/item_wishlist_ico.gif" />
					<a href="#" class="add_to_wishlist" rel="{$property_object->m_out->property_id}">{$tpl_lang->translate("add_to_wishlist")|ucfirst}</a>
					{else}
					<img src="{$smarty.const.PUBLIC_DOMAIN}images/item_remove_wishlist_ico.gif" />
					<a href="#" class="remove_from_wishlist" rel="{$property_object->m_out->property_id}">{$tpl_lang->translate("remove_from_wishlist")|ucfirst}</a>
					{/if}
				</li>
				<li>
					<img src="{$smarty.const.PUBLIC_DOMAIN}images/item_contact_owner_ico.gif" />
					<a href="#owner_info">{$tpl_lang->translate("contact_owner")|ucfirst}</a>
				</li>
				<li>
					<img src="{$smarty.const.PUBLIC_DOMAIN}images/item_book_ico.gif" />
					<a href="#calendar">{$tpl_lang->translate("book_reservation")|ucfirst}</a>
				</li>
				<li>
					<img src="{$smarty.const.PUBLIC_DOMAIN}images/item_print_ico.gif" />
					<a href="#" id="print_page">{$tpl_lang->translate("print_this_page")|ucfirst}</a>
				</li>
				<li>
					<img src="{$smarty.const.PUBLIC_DOMAIN}images/item_send_friend_ico.gif" />
					<a href="{$smarty.const.SITE_DOMAIN}properties/show_email_friend/{$property_object->m_out->property_id}" id="send_to_a_friend">{$tpl_lang->translate("send_to_a_friend")|ucfirst}</a>
				</li>
			</ul>
		</div>
	</div>
	
	{*start photo gallery*}
	<div class="details_box">
		<h2 class="light-blue" id="photo_gallery">{$tpl_lang->translate("photo_gallery")}</h2>
		<div class="details_splitter">&nbsp;</div>
		{include file = "property-details-menu.tpl"}
		<div id="details_gallery">
			<ul>
				{foreach item=item_photo from=$property_object->m_out->photos}
				<li>
					<a href="{$smarty.const.PUBLIC_DOMAIN}upload/photos/{$item_photo->photo_file}">
						<img src="{$smarty.const.PUBLIC_DOMAIN}upload/photos/_{$item_photo->photo_file}" alt="{$item_photo->title}" />
					</a>
				</li>
				{/foreach}
			</ul>
		</div>
	</div>
	{*end photo gallery*}
	
	{*property description*}
	<div class="details_box">
		<h2 class="light-blue" id="description">{$tpl_lang->translate("property_description")}</h2>
		<div class="details_splitter">&nbsp;</div>
		{include file = "property-details-menu.tpl"}
		<div class="details_body">
			<p>{$property_object->m_out->description}</p>
			{if $property_object->m_out->address and $property_object->m_out->zip}
				<br />
				<p><strong>{$tpl_lang->translate("address")} : {$property_object->m_out->address}</strong>
				<p><strong>{$tpl_lang->translate("zip")} : {$property_object->m_out->zip}</strong>
			{/if}
		</div>
	</div>
	{*end property description*}
	
	{*property area description*}
	<div class="details_box">
		<h2 class="light-blue">{$tpl_lang->translate("area_description")}</h2>
		<div class="details_splitter">&nbsp;</div>
		<div class="details_body">
			<p>{$property_object->m_out->area_description}</p>
		</div>
	</div>
	{*end property area description*}
	
	{*map*}
	<div class="details_box">
		<h2 class="light-blue" id="map">{$tpl_lang->translate("map")}</h2>
		<div class="details_splitter">&nbsp;</div>
		{include file = "property-details-menu.tpl"}
		<div class="details_body">
			<input type="hidden" name="lat" id="lat" value="{$property_object->m_out->lat}" />
			<input type="hidden" name="long" id="long" value="{$property_object->m_out->long}" />
			<input type="hidden" name="zoom" id="zoom" value="{$property_object->m_out->zoom}" />
			<div id="details_map">&nbsp;</div>
		</div>
	</div>
	{*map*}
	
	{*start facilities*}
	{if $property_object->m_out->indoor_facilities or $property_object->m_out->bed_types}
	<div class="details_box">
		<h2 class="light-blue" id="facilities">{$tpl_lang->translate("indoor_facilities")}</h2>
		<div class="details_splitter">&nbsp;</div>
		{include file = "property-details-menu.tpl"}
		<div class="facilities clearfix">
			<ul>
				{foreach item=item_indoor_facility from=$property_object->m_out->indoor_facilities}
					<li><span class="{if $item_indoor_facility.on_or_off==1}feature_on{else}feature_off{/if}">{$item_indoor_facility.title}</span></li>
				{/foreach}
			</ul>
		</div>
		{if $property_object->m_out->bed_types}
		<div class="details_splitter_grey">&nbsp;</div>
		<div class="facilities clearfix">
			<ul>
				{foreach item=item_bed from=$property_object->m_out->bed_types}
					{if $item_bed.number>0}
						<li><span><strong>{$item_bed.title}</strong> : {$item_bed.number}</span></li>
					{/if}
				{/foreach}
			</ul>
		</div>
		{/if}
	</div>
	{/if}
	{if $property_object->m_out->outdoor_facilities}
	<div class="details_box">
		<h2 class="light-blue">{$tpl_lang->translate("outdoor_facilities")}</h2>
		<div class="details_splitter">&nbsp;</div>
		<div class="facilities clearfix">
			<ul>
				{foreach item=item_outdoor_facility from=$property_object->m_out->outdoor_facilities}
					<li><span class="{if $item_outdoor_facility.on_or_off==1}feature_on{else}feature_off{/if}">{$item_outdoor_facility.title}</span></li>
				{/foreach}
			</ul>
		</div>
	</div>
	{/if}
	{*end facilities*}
	
	{*start activities*}
	{if $property_object->m_out->activities}
	<div class="details_box">
		<h2 class="light-blue">{$tpl_lang->translate("activities")}</h2>
		<div class="details_splitter">&nbsp;</div>
		<div class="facilities clearfix">
			<ul>
				{foreach item=item_activity from=$property_object->m_out->activities}
					<li><span><strong>{$item_activity.title} : </strong>{$item_activity.time}</span></li>
				{/foreach}
			</ul>
		</div>
	</div>
	{/if}
	{*end activities*}
	
	{*start rates*}
	<div class="details_box">
		<h2 class="light-blue" id="rates">{$tpl_lang->translate("rates")}</h2>
		<div class="details_splitter">&nbsp;</div>
		{include file = "property-details-menu.tpl"}
		<div class="details_body clearfix">
			<table class="rates" width="98%" align="center" cellpadding="2" cellspacing="2" border="0">
				<tr>
					<th width="110" rowspan="2">&nbsp;</th>
					<th width="70"  rowspan="2">{$tpl_lang->translate("first_night")}</th>
					<th width="70"  rowspan="2">{$tpl_lang->translate("last_night")}</th>
					<th width="60"  rowspan="2">{$tpl_lang->translate("weekly_rate")}</th>
					<th width="120" colspan="2" style="border-bottom:1px solid #fff"><center>{$tpl_lang->translate("nightly_rate")}</center></th>
					<th width="50"  rowspan="2">{$tpl_lang->translate("min_stay")}</th>
				</tr>
				<tr>
					<th width="60">{$tpl_lang->translate("weekday")}</th>
					<th width="60">{$tpl_lang->translate("weekend")}</th>
				</tr>
				{foreach name=list_rates item=item_rate from=$property_object->m_rates}
					<tr {if $smarty.foreach.list_rates.iteration is div by 2}class="alt"{/if}>
						<td>{$item_rate->title}</td>
						<td>{format_field col=first_night value=$item_rate->first_night}</td>
						<td>{format_field col=last_night value=$item_rate->last_night}</td>
						<td>{$property_object->m_out->symbol_lft} {$item_rate->weekly_rate} {$property_object->m_out->symbol_rgt}</td>
						<td>{$property_object->m_out->symbol_lft} {$item_rate->nightly_rate_weekday} {$property_object->m_out->symbol_rgt}</td>
						<td>{$property_object->m_out->symbol_lft} {$item_rate->nightly_rate_weekend} {$property_object->m_out->symbol_rgt}</td>
						<td>{$item_rate->min_stay}</td>
					</tr>
				{/foreach}
			</table>
		</div>
	</div>
	{*end rates*}
	
	{*start calendar*}
	<div class="details_box">
		<h2 class="light-blue" id="calendar">{$tpl_lang->translate("availability_calendar")}</h2>
		<div class="details_splitter">&nbsp;</div>
		{include file = "property-details-menu.tpl"}
		<div class="details_body clearfix">
			<div class="navi"></div> 
			<a class="prev"></a> 	
			<div class="scrollable"> 
				<div class="items availability-calendar">
					{$property_object->m_calendar}
				</div>
			</div>
			<a class="next"></a>
			<div class="clear"></div>
		</div>
		<div class="basic-form clearfix">
			{include file="booking-form.tpl"}
		</div>
	</div>
	{*end calendar*}
	
	{* owner info *}
	<div class="details_box">
		<h2 class="light-blue" id="owner_info">{$tpl_lang->translate("owner_info")}</h2>
		<div class="details_splitter">&nbsp;</div>
		{include file = "property-details-menu.tpl"}
		<div class="details_body clearfix">
			<div class="logo-box clearfix">
			{if $property_object->m_owner_info->profile_logo}<img src="{$smarty.const.PUBLIC_DOMAIN}upload/logos/_{$property_object->m_owner_info->profile_logo}" alt=" " />{/if}
			</div>
			<ul class="owner-info">
				<li><strong>{$tpl_lang->translate("name")|@ucfirst} : </strong> {$property_object->m_owner_info->profile_full_name}</li>
				<li><strong>{$tpl_lang->translate("address")|@ucfirst}</strong> <p>{$property_object->m_owner_info->profile_address|default:"-"}</p></li>
				<li><strong>{$tpl_lang->translate("profile_phone1")|@ucfirst} : </strong> {$property_object->m_owner_info->profile_phone1|default:"-"}</li>
				<li><strong>{$tpl_lang->translate("profile_phone2")|@ucfirst} : </strong> {$property_object->m_owner_info->profile_phone2|default:"-"}</li>
				<li><strong>{$tpl_lang->translate("profile_fax")|@ucfirst} : </strong> {$property_object->m_owner_info->profile_fax|default:"-"}</li>
				<li><strong>{$tpl_lang->translate("profile_spoken_languages")|@ucfirst} : </strong>{$property_object->m_owner_info->profile_spoken_languages|default:"-"}</li>
				<li>
					<strong>{$tpl_lang->translate("profile_web_address")|@ucfirst} : </strong>
					{if $property_object->m_owner_info->profile_web_address}
						<a href="{$property_object->m_owner_info->profile_web_address}">{$property_object->m_owner_info->profile_web_address}</a>
						{else}
						-
					{/if}
				</li>
			</ul>
			<div class="clear"></div>
		</div>
		<div class="basic-form clearfix">
			{include file="contact_owner-form.tpl"}
		</div>
	</div>
	{* end owner info *}
	
	{* other properties / same user *}
	<div class="details_box">
		<h2 class="light-blue" id="owner_info">{$tpl_lang->translate("owner_other_properties")}</h2>
		<div class="details_splitter">&nbsp;</div>
		{include file = "property-details-menu.tpl"}
		<div class="details_body clearfix">
			{load_bo bo="search" assign="other_props_object" action="same_owner" params="`$property_object->m_owner_info->user_id`,6"}
			<div class="other-props-owner clearfix">
				{foreach item=property from=$other_props_object->m_out}
					<div class="thumbs-box">
						<p>
						<a href="{$smarty.const.SITE_DOMAIN}{clean_for_seo str="`$property->title`-`$property->property_id`"}" class="thumb">
							<img src="{$smarty.const.PUBLIC_DOMAIN}upload/photos/_{$property->featured_photo->photo_file}" /><br />
						</a>
						</p>
						<p>
							<strong>
								<a class="medium_blue" href="{$smarty.const.SITE_DOMAIN}{clean_for_seo str="`$property->title`-`$property->property_id`"}">{$property->title}</a>
							</strong>
						</p>
						<p>
							{foreach item=item_location name=location from=$property->full_location}
								{if $smarty.foreach.location.index == ($smarty.foreach.location.total)-1||$smarty.foreach.location.index == ($smarty.foreach.location.total)-2 }
				   					<a class="small_grey" href="{$smarty.const.SITE_DOMAIN}search/location/{$item_location->title}">{$item_location->title}</a> /
				   				{/if}
				   			{/foreach}
						</p>
					</div>
				{/foreach}
			</div>
			<div class="clear"></div>
		</div>
	</div>
	{* end other properties / same user *}
	
</div>