<?php if( ! defined("SITE_PATH") ) exit("Access denied !");

$lang=&load_class("lang");

/*
dashboard
----------------------------------------
*/
$config["dashboard"]["extra_js"] = array("jquery.tabs.js","dashboard.js");
$config["dashboard"]["extra_css"] = array("jquery.tabs.css");


/*
languages
----------------------------------------
*/
$config["languages"]["extra_js"] = array();
$config["languages"]["extra_css"] = array();

$config["languages"]["list_header_fields"] = array(
	"language_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"code_2"	=> array( "label" => $lang->item("code_2"),"width"	=> 5 ),
	"code_3"	=> array( "label" => $lang->item("code_3"),"width"	=> 5 ),
	"use_system_flag"	=> array( "label" => $lang->item("use_system_suggestion"),"width"	=> 12 ),
	"system_flag" => array( "label"	=> $lang->item("system_flag"),"width"	=> 12 ),
	"flag_file"	=>array( "label"	=> $lang->item("flag_file"),"width" => 7 ),
	"title"	=> array( "label"	=> $lang->item("title"),"width" => "" )
);
$config["languages"]["id_field"] = "language_id";
$config["languages"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["languages"]["db_fields"] = array();
$config["languages"]["orderby"] = "language_id desc";

$config["languages"]["form_fields"] = array(
	"title"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "required" ),
	"idiom" => array( "label" => $lang->item("idiom"),"value"	=> null,"rules"	=> "required","options" => array() ),
	"code_2" => array( "label"	=>$lang->item("code_2"),"value" => null,"rules" => "required|alpha","info"	=> $lang->item("info_code_2")),
	"code_3" => array( "label" => $lang->item("code_3"),"value" => null,"rules" => "alpha" ),
	"use_system_flag" =>array( "label" => "","value"	=> 1,"rules" => "" ),
	"system_flag" => array( "label" => "","value"=>null,"rules"=>""),
	"flag_file" => array( "label" => $lang->item("flag_file"),"value"	=> "","rules" => ""),
	"flag_file_upload" => array("label" => $lang->item("flag_file"),"value"	=> "","rules" => "" ),
	"date_format" => array(
		"label"=>$lang->item("date_format"),
		"value"=>"",
		"rules"=>"required",
		"options"=>array(
			date("Y-m-d")=>"%Y-%m-%d",
			date("Y/m/d")=>"%Y/%m/%d",
			date("d-m-Y")=>"%d-%m-%Y",
			date("d-M-Y")=>"%d-%b-%Y",
			date("d/m/Y")=>"%d/%m/%Y"
		)
	),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required")
);
$config["languages"]["form_data_fields"] = array("title","idiom","code_2","code_3","use_system_flag","system_flag","flag_file","active","date_format");
$config["languages"]["upload"] = array(
	"flag_file_upload" => array(
		"upload_path" => PUBLIC_PATH . "upload/flags/",
		"encrypt_name" => true,
		"max_width" => 1024,
		"max_height" => 768,
		"allowed_types" => "gif|bmp|jpg|png|jpeg"
	),
	"flag_file_resize" => array(
		"source_image"=>PUBLIC_PATH."upload/flags/%s",
		"new_image"=>PUBLIC_PATH."upload/flags/%s",
		"create_thumb"=>false,
		"mentain_ration"=>true,
		"width"=>16,
		"height"=>16
	)
);

/*
payments logs
----------------------------------------
*/
$config["payment_logs"]["extra_js"] = array();
$config["payment_logs"]["extra_css"] = array();

$config["payment_logs"]["list_header_fields"] = array(
	"payment_log_id"	=> array("label"	=> "#","width"	=> 5 ),
	"ctime"	=> array( "label"	=> $lang->item("ctime"),"width"	=> 10 ),
	"payment_status"=>array("label"=>$lang->item("payment_status"),"width"=>8),
	"user_id"=>array("label"=>$lang->item("user_id"),"width"=>""),
	"plan_id"=>array("label"=>$lang->item("plan_id"),"width"=>""),
	"gateway"	=> array( "label"	=> $lang->item("gateway"),"width" => "" )
);
$config["payment_logs"]["id_field"] = "payment_log_id";
$config["payment_logs"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["payment_logs"]["db_fields"] = array();
$config["payment_logs"]["orderby"] = "ctime desc";

$config["payment_logs"]["form_fields"] = array(
	"user_id"=>array(
		"label"=>$lang->item("user_id"),
		"value"=>null,
		"rules"=>"required"
	),
	"payment_status"=>array(
		"label"=>$lang->item("payment_status"),
		"value"=>null,
		"rules"=>"required"
	),
	"gateway"=>array(
		"label"=>$lang->item("gateway"),
		"value"=>null,
		"rules"=>"required"
	),
	"log_body"=>array(
		"label"=>$lang->item("log_body"),
		"value"=>null,
		"rules"=>""
	),
	"log_body_user"=>array(
		"label"=>$lang->item("log_body_user"),
		"value"=>null,
		"rules"=>""
	),
	"payment_log_id"=>array("label"=>"","value"=>"","rules"=>"")
);
$config["payment_logs"]["form_data_fields"] = array(
	"ctime","user_id","payment_status","gateway","log_body","log_body_user","plan_id","payment_log_id"
);

/*
regional levels
----------------------------------------
*/
$config["regional_levels"]["extra_js"] = array();
$config["regional_levels"]["extra_css"] = array();

$config["regional_levels"]["list_header_fields"] = array(
	"regional_level_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"hierarchy" => array( "label"	=> $lang->item("hierarchy"),"width"	=> 5 ),
	"title"	=> array( "label"	=> $lang->item("title"),"width" => "" )
);
$config["regional_levels"]["id_field"] = "regional_level_id";
$config["regional_levels"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["regional_levels"]["db_fields"] = array();
$config["regional_levels"]["orderby"] = "hierarchy asc";

$config["regional_levels"]["form_fields"] = array(
	"title"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "required|alpha" ),
	/*
	"title_2"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_3"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_4"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_5"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),*/
	"hierarchy"	=> array( "label" => $lang->item("hierarchy"),"value"	=> null,"rules" => "required" ),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required")
);
$config["regional_levels"]["form_data_fields"] = array("title","hierarchy","active");

/*
regional
----------------------------------------
*/
$config["regional"]["extra_js"] = array("regional_tree.js");
$config["regional"]["extra_css"] = array("regional_tree.css");

$config["regional"]["list_header_fields"] = array(
	"regional_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"title"	=> array( "label"	=> $lang->item("title"),"width" => "" )
);
$config["regional"]["id_field"] = "regional_id";
$config["regional"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["regional"]["db_fields"] = array();
$config["regional"]["orderby"] = "regional_id desc";

$config["regional"]["form_fields"] = array(
	"parent" => array( "label" => $lang->item("parent") ,"value"=>null, "rules" =>"required", "options"=>array()),
	"title"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "required" ),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required")
);
$config["regional"]["form_data_fields"] = array("parent","title","active");

/*
property types
----------------------------------------
*/
$config["property_types"]["extra_js"] = array();
$config["property_types"]["extra_css"] = array();

$config["property_types"]["list_header_fields"] = array(
	"property_type_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"title_1"	=> array( "label"	=> $lang->item("title"),"width" => "" )
	
);

$config["property_types"]["id_field"] = "property_type_id";
$config["property_types"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["property_types"]["db_fields"] = array();
$config["property_types"]["orderby"] = "property_type_id desc";

$config["property_types"]["form_fields"] = array(
	"title_1"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "required" ),
	"title_2"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_3"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_4"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_5"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required")
);
$config["property_types"]["form_data_fields"] = array("title_1","title_2","title_3","title_4","title_5","active");

/*
plans
----------------------------------------
*/
$config["plans"]["extra_js"] = array();
$config["plans"]["extra_css"] = array();

$config["plans"]["list_header_fields"] = array(
	"plan_id"=>array("label"=>"#","width"=>5),
	"plan_status"=>array("label"=>$lang->translate("plan_status"),"width"=>5),
	"ctime"=>array("label"=>$lang->translate("ctime"),"width"=>5),
	"etime"=>array("label"=>$lang->translate("etime"),"width"=>5),
	"user_id"=>array("label"=>$lang->translate("member"),"width"=>10),
	"base_package"=>array("label"=>$lang->translate("base_package"),"width"=>""),
	"extra_packages"=>array("label"=>$lang->translate("extra_packages"),"width"=>"")
);

$config["plans"]["id_field"] = "plan_id";
$config["plans"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["plans"]["db_fields"] = array();
$config["plans"]["orderby"] = "plan_id desc";

$config["plans"]["form_fields"] = array(
	"user_id"=>array("label"=>$lang->translate("member"),"value"=>null,"rules"=>"required"),
	"base_package"=>array("label"=>$lang->translate("base_package"),"value"=>"","rules"=>"required"),
	"extra_packages"=>array("label"=>$lang->translate("extra_packages"),"value"=>array(),"rules"=>""),
	"etime"=>array("label"=>$lang->translate("etime"),"value"=>null,"rules"=>""),
	"plan_status"=>array(
		"label"=>$lang->translate("status"),
		"value"=>1,
		"options"=>array(
			$lang->translate("plan_confirmed")=>1,
			$lang->translate("plan_expired")=>-1,
			$lang->translate("plan_cancelled")=>0,
			$lang->translate("plan_pending")=>2
		),
		"rules"=>"required"
	)
);
$config["plans"]["form_data_fields"] = array("user_id","base_package","plan_status","etime");

/*
email accounts
----------------------------------------
*/
$config["email_accounts"]["extra_js"] = array();
$config["email_accounts"]["extra_css"] = array();

$config["email_accounts"]["list_header_fields"] = array(
	"email_account_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"name"	=> array( "label"	=> $lang->item("name"),"width" => "" ),
	"email_address"	=> array( "label"	=> $lang->item("email_address"),"width" => "" )
	
);

$config["email_accounts"]["id_field"] = "email_account_id";
$config["email_accounts"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["email_accounts"]["db_fields"] = array();
$config["email_accounts"]["orderby"] = "email_account_id desc";

$config["email_accounts"]["form_fields"] = array(
	"name"	=> array( "label" => $lang->item("name"),"value"	=> null,"rules" => "required" ),
	"email_address"	=> array( "label" => $lang->item("email_address"),"value"	=> null,"rules" => "required" ),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required")
);
$config["email_accounts"]["form_data_fields"] = array("name","email_address","active");

/*
system alerts
----------------------------------------
*/
$config["system_alerts"]["extra_js"] = array();
$config["system_alerts"]["extra_css"] = array();

$config["system_alerts"]["list_header_fields"] = array(
	"system_alert_id"	=> array("label"	=> "#","width"	=> 5 ),
	"alert_status"	=> array( "label"	=> $lang->item("status"),"width"	=> 5 ),
	"ctime"=>array("label"=>$lang->item("ctime"),"width"=>10),
	"subject"	=> array( "label"	=> $lang->item("subject"),"width" => "" ),
	"from_email"	=> array( "label"	=> $lang->item("from_email"),"width" => "" )
	
);

$config["system_alerts"]["id_field"] = "system_alert_id";
$config["system_alerts"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["system_alerts"]["db_fields"] = array("ctime","system_alert_id","alert_status","from_email","to_email","subject","body");
$config["system_alerts"]["orderby"] = "ctime desc";

$config["system_alerts"]["form_fields"] = array(
	"from_email"=>array("label"=>$lang->item("from_email"),"value"=>null,"rules"=>"required"),
	"to_email"=>array("label"=>$lang->item("to_email"),"value"=>null,"rules"=>"required"),
	"subject"	=> array( "label" => $lang->item("subject"),"value"	=> null,"rules" => "required" ),
	"body"=>array("label"=>$lang->item("body"),"value"=>null,"rules"=>"required"),
	"alert_status" => array("label" => $lang->item("alert_status"),"value"	=> 0,"rules" => "required")
);
$config["system_alerts"]["form_data_fields"] = array("from_id","from_email","to_id","to_email","subject","body","alert_status","ctime");

/*
reviews
----------------------------------------
*/
$config["reviews"]["extra_js"] = array();
$config["reviews"]["extra_css"] = array();

$config["reviews"]["list_header_fields"] = array(
	"review_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"ctime"	=> array( "label"	=> $lang->item("date"),"width"	=> 10 ),
	"property_id"	=> array( "label"	=> $lang->item("property")."#","width" => "" ),
	"title"	=> array( "label"	=> $lang->item("title"),"width" => "" )
	
);

$config["reviews"]["id_field"] = "review_id";
$config["reviews"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["reviews"]["db_fields"] = array();
$config["reviews"]["orderby"] = "review_id desc";

$config["reviews"]["form_fields"] = array(
	"name"	=> array( "label" => $lang->item("name"),"value"	=> null,"rules" => "required" ),
	"email_address"	=> array( "label" => $lang->item("email_address"),"value"	=> null,"rules" => "required" ),
	"title"=>array("label"=>$lang->item("title"),"value"=>null,"rules"=>"required"),
	"body"=>array("label"=>$lang->item("body"),"value"=>null,"rules"=>"required"),
	"rate"=>array( "label"=>$lang->item("rate"),"value"=>5,
		"options"=>array(
			"* * * * *"=>5,
			"* * * *"=>4,
			"* * *"=>3,
			"* *"=>2,
			"*"=>1
		),"rules"=>""
	),
	"property_id"=>array("label"=>$lang->item("property"),"value"=>null,"rules"=>"required"),
	"active" => array("label" => $lang->item("active"),"value"	=>1,"rules" => "required")
);
$config["reviews"]["form_data_fields"] = array(
	"property_id","rate","ctime","name","email_address","title","body","active"
);

/*
users
----------------------------------------
*/
$config["users"]["extra_js"] = array();
$config["users"]["extra_css"] = array();

$config["users"]["list_header_fields"] = array(
	"user_id"	=> array("label"	=> "#","width"	=> 5 ),
	"banned"=>array("label"=>$lang->translate("banned"),"width"=>5),
	"created"=>array("label"=>$lang->translate("ctime"),"width"=>10),
	"modified"=>array("label"=>$lang->translate("mtime"),"width"=>10),
	"role"=>array("label"=>"role","width"=>10),
	"user_name" => array("label"	=> "username", "width"=>""),
	
	
);

$config["users"]["id_field"] = "user_id";
$config["users"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["users"]["db_fields"] = array();
$config["users"]["orderby"] = "user_id desc";

$config["users"]["upload"] = array(
	"logo_upload" => array(
		"upload_path" => PUBLIC_PATH . "upload/logos/",
		"encrypt_name" => false,
		"max_width" => 1024,
		"max_height" => 768,
		"allowed_types" => "gif|bmp|jpg|png|jpeg"
	),
	"logo_resize" => array(
		"source_image"=>PUBLIC_PATH."upload/logos/%s",
		"new_image"=>PUBLIC_PATH."upload/logos/%s",
		"create_thumb"=>false,
		"mentain_ration"=>true,
		"width"=>120,
		"height"=>120
	)
);
$config["users"]["form_fields"] = array(
	"user_name"=>array("label"=>$lang->item("user_name"),"value"=>null,"rules"=>"required"),
	"email"=>array("label"=>$lang->item("email"),"value"=>null,"rules"=>"required"),
	"role"=>array(
		"label"=>$lang->item("role"),
		"options"=>array(
			"admin"=>"admin",
			"member"=>"member"
		),
		"value"=>"member",
		"rules"=>"required"
	),
	"password"=>array("label"=>$lang->item("password"),"value"=>null,"rules"=>"required"),
	"retype_password"=>array("label"=>$lang->item("retype_password"),"value"=>null,"rules"=>"required"),
	"banned" => array("label" => $lang->item("banned"),"value"	=>0,"rules" => "required"),
	"profile_full_name"=>array("label" => $lang->item("profile_full_name"),"value"	=>null,"rules" => ""),
	"profile_address"=>array("label" => $lang->item("profile_address"),"value"	=>null,"rules" => ""),
	"profile_phone1"=>array("label" => $lang->item("profile_phone1"),"value"	=>null,"rules" => ""),
	"profile_phone2"=>array("label" => $lang->item("profile_phone2"),"value"	=>null,"rules" => ""),
	"profile_fax"=>array("label" => $lang->item("profile_fax"),"value"	=>null,"rules" => ""),
	"profile_logo"=>array("label" => $lang->item("profile_logo"),"value"	=>null,"rules" => ""),
	"profile_logo_upload"=>array("label" => $lang->item("profile_logo_upload"),"value"	=>null,"rules" => ""),
	"profile_web_address"=>array("label" => $lang->item("profile_web_address"),"value"	=>null,"rules" => ""),
	"profile_spoken_languages"=>array("label" => $lang->item("profile_spoken_languages"),"value"	=>null,"rules" => "")
);
$config["users"]["form_data_fields"] = array(
	"user_id","banned","user_name","password","email","role","created","modified",
	"profile_full_name","profile_address","profile_phone1","profile_phone2","profile_fax","profile_logo","profile_spoken_languages","profile_web_address"
);

/*
email templates
----------------------------------------
*/
$config["email_templates"]["extra_js"] = array();
$config["email_templates"]["extra_css"] = array();

$config["email_templates"]["list_header_fields"] = array(
	"email_template_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"alias"		=> array( "label"	=> $lang->item("alias"),"width"=>""),
	"send_from"	=> array( "label"	=> $lang->item("send_from"),"width" => "" ),
	"subject_1"	=> array( "label"	=> $lang->item("subject"),"width" => "" )
	
);

$config["email_templates"]["id_field"] = "email_template_id";
$config["email_templates"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["email_templates"]["db_fields"] = array();
$config["email_templates"]["orderby"] = "email_template_id desc";

$config["email_templates"]["form_fields"] = array(
	"send_from"	=>array( "label"=> $lang->item("send_from"),"value"=>null,"rules"=>"required"),
	"alias"		=> array( "label"=>$lang->item("alias"),"value"=>null,"rules"=>"required|alpha_dash"),
	"subject_1"	=> array( "label" => $lang->item("subject"),"value"	=> null,"rules" => "required" ),
	"subject_2"	=> array( "label" => $lang->item("subject"),"value"	=> null,"rules" => "" ),
	"subject_3"	=> array( "label" => $lang->item("subject"),"value"	=> null,"rules" => "" ),
	"subject_4"	=> array( "label" => $lang->item("subject"),"value"	=> null,"rules" => "" ),
	"subject_5"	=> array( "label" => $lang->item("subject"),"value"	=> null,"rules" => "" ),
	"body_1"	=> array( "label" => $lang->item("body"),"value"	=> null,"rules" => "required" ),
	"body_2"	=> array( "label" => $lang->item("body"),"value"	=> null,"rules" => "" ),
	"body_3"	=> array( "label" => $lang->item("body"),"value"	=> null,"rules" => "" ),
	"body_4"	=> array( "label" => $lang->item("body"),"value"	=> null,"rules" => "" ),
	"body_5"	=> array( "label" => $lang->item("body"),"value"	=> null,"rules" => "" ),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required")
);
$config["email_templates"]["form_data_fields"] = array(
	"send_from",
	"alias",
	"subject_1","subject_2","subject_3","subject_4","subject_5",
	"body_1","body_2","body_3","body_4","body_5",
	"active"
);

/*
sections
----------------------------------------
*/
$config["sections"]["extra_js"] = array(/*"facebox.js",*/"sections-editor.js");
$config["sections"]["extra_css"] = array(/*"facebox.css","editor_extra.css"*/);


$config["sections"]["wysiwyg_js"] = array("tiny_mce/tiny_mce_gzip.js");
$config["sections"]["wysiwyg_css"] = array();

$config["sections"]["list_header_fields"] = array(
	"section_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"menu_hierarchy" => array( "label"	=> $lang->item("menu_hierarchy"),"width"	=> 5 ),
	"is_homepage"	=> array( "label"	=> $lang->item("is_homepage"),"width"	=> 5 ),
	"title_1"	=> array( "label"	=> $lang->item("title"),"width" => "" )
);
$config["sections"]["id_field"] = "section_id";
$config["sections"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["sections"]["db_fields"] = array(
	"section_id",
	"title_1",
	"alias",
	"show_in_menu",
	"active",
	"is_homepage",
	"menu_hierarchy"
);
$config["sections"]["orderby"] = "menu_hierarchy asc";

$config["sections"]["form_fields"] = array(
	"title_1"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "required" ),
	"title_2"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_3"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_4"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_5"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"content_1"	=> array( "label" => $lang->item("content"),"value" => null,"rules" => "required"),
	"content_2"	=> array( "label" => $lang->item("content"),"value" => null,"rules" => ""),
	"content_3"	=> array( "label" => $lang->item("content"),"value" => null,"rules" => ""),
	"content_4"	=> array( "label" => $lang->item("content"),"value" => null,"rules" => ""),
	"content_5"	=> array( "label" => $lang->item("content"),"value" => null,"rules" => ""),
	"keywords_tag_1"=> array( "label" => $lang->item("keywords_1"),"value" => null,"rules" => ""),
	"keywords_tag_2"=> array( "label" => $lang->item("keywords_2"),"value" => null,"rules" => ""),
	"keywords_tag_3"=> array( "label" => $lang->item("keywords_3"),"value" => null,"rules" => ""),
	"keywords_tag_4"=> array( "label" => $lang->item("keywords_4"),"value" => null,"rules" => ""),
	"keywords_tag_5"=> array( "label" => $lang->item("keywords_5"),"value" => null,"rules" => ""),
	"description_tag_1"=> array( "label" => $lang->item("description_1"),"value" => null,"rules" => ""),
	"description_tag_2"=> array( "label" => $lang->item("description_2"),"value" => null,"rules" => ""),
	"description_tag_3"=> array( "label" => $lang->item("description_3"),"value" => null,"rules" => ""),
	"description_tag_4"=> array( "label" => $lang->item("description_4"),"value" => null,"rules" => ""),
	"description_tag_5"=> array( "label" => $lang->item("description_5"),"value" => null,"rules" => ""),
	"template"	=> array( "label" => $lang->item("template"),"value" => null,"rules" => "required"),
	"alias"		=> array( "label" => $lang->item("alias"),"value" => null,"rules" => ""),
	"show_in_menu" =>array("label" => $lang->item("show_in_menu"),"value"	=> 1,"rules" => "required"),
	"menu_hierarchy" =>array("label" => $lang->item("menu_hierarchy"),"value"	=>0,"rules" => "required|numeric"),
	"is_homepage" =>array("label" => $lang->item("set_as_homepage"),"value"	=> 0,"rules" => "required"),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required")
);
$config["sections"]["form_data_fields"] = array(
	"title_1","title_2","title_3","title_4","title_5",
	"content_1","content_2","content_3","content_4","content_5",
	"description_tag_1","description_tag_2","description_tag_3","description_tag_4","description_tag_5",
	"keywords_tag_1","keywords_tag_2","keywords_tag_3","keywords_tag_4","keywords_tag_5",
	"alias",
	"template",
	"show_in_menu",
	"menu_hierarchy",
	"is_homepage",
	"active"
);

/*
templates
----------------------------------------
*/
$config["templates"]["extra_js"] = array("templates.js");
$config["templates"]["extra_css"] = array();

$config["templates"]["wysiwyg_js"] = array(/*"tiny_mce/tiny_mce_gzip.js"*/);
$config["templates"]["wysiwyg_css"] = array();

$config["templates"]["list_header_fields"] = array(
	"template_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"template"		=> array("label"	=> $lang->item("template"),"width"	=>"" ),
	"title"	=> array( "label"	=> $lang->item("title"),"width" => "" )
);
$config["templates"]["block_templates_header_fields"] = array(
	"template"		=> array("label"	=> $lang->item("template"),"width"	=>"" ),
	"title"	=> array( "label"	=> $lang->item("title"),"width" => "" )
);

$config["templates"]["id_field"] = "template_id";
$config["templates"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["templates"]["db_fields"] = array(
  "template_id",
  "active",
  "template",
  "title"
);
$config["templates"]["orderby"] = "template_id desc";

$config["templates"]["form_fields"] = array(
	"title"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "required" ),
	"load_template"	=> array( "label" => $lang->item("load_template"),"value" => null,"rules" => ""),
	"content"	=> array( "label" => $lang->item("content"),"value" => null,"rules" => "required"),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required"),
	"template_type" => array(
		"label"=>$lang->item("template_type"),
		"value"=>null,"rules"=>"required",
		"options"=>array(
			"..."=>"",
			$lang->item("full_page_template")=>"page",
			$lang->item("block")=>"block"
		)
	)
);
$config["templates"]["form_data_fields"] = array(
	"title",
	"template",
	"content",
	"active",
	"template_type"
);

/*
media
----------------------------------------
*/
$config["media"]["upload"] = array(
	"media_file_upload" => array(
		"upload_path" => PUBLIC_PATH . "upload/media/",
		"encrypt_name" => true,
		"max_width" => 1024,
		"max_height" => 768,
		"allowed_types" => "gif|bmp|jpg|png|jpeg"
	),
	"media_file_resize" => array(
		"source_image"=>PUBLIC_PATH."upload/media/%s",
		"new_image"=>PUBLIC_PATH."upload/media/%s",
		"create_thumb"=>false,
		"mentain_ratio"=>true,
		"width"=>120,
		"height"=>120
	)
);
$config["media"]["extra_js"] = array("jquery.MultiFile.js","jquery.blockUI.js",/*"facebox.js",*/"jquery.imgareaselect.js","media.js");
$config["media"]["common_js"] = array("facebox.js");
$config["media"]["extra_css"] = array("multi_upload.css","facebox.css");

$config["media"]["wysiwyg_js"] = array();
$config["media"]["wysiwyg_css"] = array();

$config["media"]["list_header_fields"] = array(
	"media_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"title"		=> array("label"	=> $lang->item("title"),"width"	=>"" ),
	"media_file"		=> array("label"	=> $lang->item("media_file"),"width"	=>"" )
);
$config["media"]["gallery_header_fields"] = array(
	"media_file"		=> array("label"	=> $lang->item("media_file"),"width"	=>"" )
);

$config["media"]["id_field"] = "media_id";
$config["media"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["media"]["db_fields"] = array();
$config["media"]["orderby"] = "media_id desc";

$config["media"]["form_fields"] = array(
	"multi_upload"=>array("label"=>$lang->item("upload_multiple"),"value"=>null,"rules"=>""),
	"media_file"=>array("label"=>$lang->item("media_file"),"value"=>null,"rules"=>""),
	"title"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"description"	=> array( "label" => $lang->item("description"),"value" => null,"rules" => ""),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => ""),
	"crop_x1"=>array("label"=>"","value"=>null,"rules"=>""),
	"crop_x2"=>array("label"=>"","value"=>null,"rules"=>""),
	"crop_y1"=>array("label"=>"","value"=>null,"rules"=>""),
	"crop_y2"=>array("label"=>"","value"=>null,"rules"=>""),
	"resize_x"=>array("label"=>"","value"=>null,"rules"=>""),
	"resize_y"=>array("label"=>"","value"=>null,"rules"=>""),
	"switch_to_original"=> array("label" => $lang->item("switch_to_original"),"value"	=> 0,"rules" => "")
);
$config["media"]["form_data_fields"] = array("title","description","active","media_file","ctime","mtime");


/*
facilities
----------------------------------------
*/
$config["facilities"]["extra_js"] = array();
$config["facilities"]["extra_css"] = array();

$config["facilities"]["list_header_fields"] = array(
	"facility_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"facility_type"	=> array( "label"	=> $lang->item("facility_type"),"width" => 20 ),
	"title_1"	=> array( "label"	=> $lang->item("title"),"width" => "" )
	
);

$config["facilities"]["id_field"] = "facility_id";
$config["facilities"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["facilities"]["db_fields"] = array();
$config["facilities"]["orderby"] = "facility_id desc";

$config["facilities"]["form_fields"] = array(
	"facility_type"	=> array( 
		"label" => $lang->item("facility_type"),"value"	=> null,"rules" => "required",
		"options"=>array(
			"..."=>"",
			$lang->item("indoor")=>"indoor",
			$lang->item("outdoor")=>"outdoor"
		) 
	),
	"title_1"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "required" ),
	"title_2"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_3"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_4"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_5"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required")
);
$config["facilities"]["form_data_fields"] = array("facility_type","title_1","title_2","title_3","title_4","title_5","active");

/*
bed types
----------------------------------------
*/
$config["bed_types"]["extra_js"] = array();
$config["bed_types"]["extra_css"] = array();

$config["bed_types"]["list_header_fields"] = array(
	"bed_type_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"title_1"	=> array( "label"	=> $lang->item("title"),"width" => "" )
	
);

$config["bed_types"]["id_field"] = "bed_type_id";
$config["bed_types"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["bed_types"]["db_fields"] = array();
$config["bed_types"]["orderby"] = "bed_type_id desc";

$config["bed_types"]["form_fields"] = array(
	"title_1"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "required" ),
	"title_2"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_3"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_4"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_5"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required")
);
$config["bed_types"]["form_data_fields"] = array("title_1","title_2","title_3","title_4","title_5","active");

/*
activity types
----------------------------------------
*/
$config["activity_types"]["extra_js"] = array();
$config["activity_types"]["extra_css"] = array();

$config["activity_types"]["list_header_fields"] = array(
	"activity_type_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"title_1"	=> array( "label"	=> $lang->item("title"),"width" => "" )
	
);

$config["activity_types"]["id_field"] = "activity_type_id";
$config["activity_types"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["activity_types"]["db_fields"] = array();
$config["activity_types"]["orderby"] = "activity_type_id desc";

$config["activity_types"]["form_fields"] = array(
	"title_1"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "required" ),
	"title_2"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_3"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_4"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_5"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required")
);
$config["activity_types"]["form_data_fields"] = array("title_1","title_2","title_3","title_4","title_5","active");

/*
properties
----------------------------------------
*/
$config["properties"]["property_menu"] = array(
	"overview"=>array(
		"label"=>"property_overview",
		"info"=>"property_overview_info",
		"extra_info"=>"",
		"href"=>"#",
		"active"=>1,
		"current"=>0
	),
	"photos"=>array(
		"label"=>"property_photos",
		"info"=>"property_photos_info",
		"extra_info"=>"",
		"href"=>"#",
		"active"=>1,
		"current"=>0
	),
	"rates"=>array(
		"label"=>"property_rates",
		"info"=>"property_rates_info",
		"extra_info"=>"",
		"href"=>"#",
		"active"=>1,
		"current"=>0
	),
	"availability"=>array(
		"label"=>"property_availability",
		"info"=>"property_availability_info",
		"extra_info"=>"",
		"href"=>"#",
		"active"=>1,
		"current"=>0
	),
	"payment"=>array(
		"label"=>"property_payment",
		"info"=>"property_payment_info",
		"extra_info"=>"",
		"href"=>"#",
		"active"=>1,
		"current"=>0
	)
);
$config["properties"]["upload"] = array(
	"properties_file_upload" => array(
		"upload_path" => PUBLIC_PATH . "upload/photos/",
		"encrypt_name" => false,
		"max_width" => 1300,
		"max_height" => 1300,
		"allowed_types" => "gif|bmp|jpg|png|jpeg"
	),
	"properties_file_resize" => array(
		"source_image"=>PUBLIC_PATH."upload/photos/%s",
		"new_image"=>PUBLIC_PATH."upload/photos/%s",
		"create_thumb"=>false,
		"mentain_ratio"=>true,
		"width"=>600,
		"height"=>600
	),
	"properties_thumb_resize" => array(
		"source_image"=>PUBLIC_PATH."upload/photos/%s",
		"new_image"=>PUBLIC_PATH."upload/photos/%s",
		"create_thumb"=>false,
		"mentain_ratio"=>true,
		"width"=>120,
		"height"=>120
	)
);
$config["properties"]["extra_js"] = array(
	"view"=>array(),
	"add"=>array("properties.js","properties-menu.js","jquery.blockUI.js"),
	"edit"=>array("properties.js","properties-menu.js","jquery.blockUI.js"),
	"photos"=>array("properties-menu.js","jquery.MultiFile.js","jquery.blockUI.js",/*"facebox.js",*/"admin-gallery.js"),
	"availability"=>array("properties-menu.js",/*"date.js","jquery.datePicker.js",*/"availability.js"/*,"facebox.js"*/),
	"rates"=>array("properties-menu.js",/*"date.js","jquery.datePicker.js",*/"rates.js"),
	"payment"=>array("properties-menu.js"),
	"search"=>array()
);
$config["properties"]["common_js"] = array(
	"add"=>array("googlemap.js"),
	"edit"=>array("googlemap.js"),
	"photos"=>array("facebox.js"),
	"availability"=>array("date.js","jquery.datePicker.js","facebox.js"),
	"rates"=>array("date.js","jquery.datePicker.js")
);
$config["properties"]["extra_css"] = array(
	"view"=>array(),
	"add"=>array("properties_menu.css","googlemap.css"),
	"edit"=>array("properties_menu.css","googlemap.css"),
	"photos"=>array("properties_menu.css","gallery.css","facebox.css"),
	"availability"=>array("properties_menu.css","availability_calendar.css","datePicker.css","facebox.css"),
	"rates"=>array("properties_menu.css","datePicker.css"),
	"payment"=>array("properties_menu.css"),
	"search"=>array()
);

$config["properties"]["wysiwyg_js"] = array();
$config["properties"]["wysiwyg_css"] = array();

$config["properties"]["max_bedrooms"] = 10;
$config["properties"]["bedrooms_step"] = 1;
$config["properties"]["bedrooms_show_more"] = array(
	"title" =>"10+",
	"value" =>"max"
);

$config["properties"]["max_bathrooms"] = 10;
$config["properties"]["bathrooms_step"] = 0.5;
$config["properties"]["bathrooms_show_more"] = array(
	"title" =>"10+",
	"value" =>"max"
);

$config["properties"]["max_guests"] = 50;
$config["properties"]["max_guests_step"] = 1;
$config["properties"]["max_guests_show_more"] = array(
	"title" =>"50+",
	"value" =>"max"
);

$config["properties"]["max_beds"] = 20;
$config["properties"]["max_beds_step"] = 1;
$config["properties"]["max_beds_show_more"] = array(
	"title" =>"20+",
	"value" =>"max"
);

$config["properties"]["activity_times"] = array(
	$lang->item("on_site")=>"on_site",
	"<5 ".$lang->item("minutes") =>5,
	"<10 ".$lang->item("minutes") =>10,
	"<15 ".$lang->item("minutes") =>15,
	"<20 ".$lang->item("minutes") =>20,
	"<30 ".$lang->item("minutes") =>30,
	"<1 ".$lang->item("hours") =>60,
	"<1.5 ".$lang->item("hours") =>90,
	"<2 ".$lang->item("hours") =>120,
	 
);

$config["properties"]["suitability"] = array(
	"children"=>array(
		"label" => $lang->item("children_welcome"),
		"values" => array(
			$lang->item("children_0")=>0,
			$lang->item("children_1")=>1,
			$lang->item("children_2")=>2
		),
		"value"=>1
	),
	"eldery"=>array(
		"label" => $lang->item("eldery_welcome"),
		"values" => array(
			$lang->item("eldery_0")=>0,
			$lang->item("eldery_1")=>1,
			$lang->item("eldery_2")=>2
		),
		"value"=>1
	),
	"wheelchair"=>array(
		"label" => $lang->item("wheelchair_welcome"),
		"values" => array(
			$lang->item("wheelchair_0")=>0,
			$lang->item("wheelchair_1")=>1,
			$lang->item("wheelchair_2")=>2
		),
		"value"=>0
	),
	"pets"=>array(
		"label" => $lang->item("pets_welcome"),
		"values" => array(
			$lang->item("pets_0")=>0,
			$lang->item("pets_1")=>1,
			$lang->item("pets_2")=>2
		),
		"value"=>0
	),
	"smoke"=>array(
		"label" => $lang->item("smoke_welcome"),
		"values" => array(
			$lang->item("smoke_0")=>0,
			$lang->item("smoke_1")=>1
		),
		"value"=>0
	),
);


$config["properties"]["list_header_fields"] = array(
	"property_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5),
	"featured"	=> array( "label"	=> $lang->item("featured"),"width"	=> 5),
	"title_1"=>array("label"=>$lang->item("title"),"width"=>"")
);
$config["properties"]["photos"]["list_header_fields"] = array(
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5),
	"hierarchy" => array( "label" =>$lang->item("hierarchy"),"width" => 5),
	"title_1"=>array("label"=>$lang->item("title"),"width"=>""),
	"photo_file"=>array("label"=>$lang->item("photo"),"width"=>"")
);
$config["properties"]["availability"]["list_header_fields"] = array(
	"booking_id" => array( "label" =>"#","width" =>5),
	"status"=>array("label"=>"status","width"=>5),
	"start_date"=>array("label"=>$lang->item("start_date"),"width"=>10),
	"end_date"=>array("label"=>$lang->item("end_date"),"width"=>10),
	"name"=>array("label"=>$lang->item("name"),"width"=>"")
);
$config["properties"]["rates"]["list_header_fields"] = array(
	"rate_id" => array( "label" =>"#","width" =>5),
	"active"=>array("label"=>"active","width"=>5),
	"first_night"=>array("label"=>$lang->item("first_night"),"width"=>10),
	"last_night"=>array("label"=>$lang->item("last_night"),"width"=>10),
	"weekly_rate"=>array("label"=>$lang->item("weekly_rate"),"width"=>10),
	"nightly_rate_weekend"=>array("label"=>$lang->item("nightly_rate_weekend"),"width"=>10),
	"nightly_rate_weekday"=>array("label"=>$lang->item("nightly_rate_weekday"),"width"=>10),
	"title_1"=>array("label"=>$lang->item("title"),"width"=>"")
);

$config["properties"]["payment"]["list_header_fields"] = array();

$config["properties"]["id_field"] = "property_id";
$config["properties"]["availability"]["id_field"] = "booking_id";

$config["properties"]["pagination"] = array( "base_url" =>"","per_page" =>20,"uri_segment" =>5,"total_rows" =>0);
$config["properties"]["availability"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>7,"total_rows" =>0);
$config["properties"]["db_fields"] = array("property_id","active","featured","title_1");
$config["properties"]["availability"]["db_fields"] = array();
$config["properties"]["orderby"] = "property_id desc";
$config["properties"]["availability"]["orderby"] = "ctime desc";

$config["properties"]["form_fields"] = array(
	"user_id"=>array("label"=>$lang->item("assign_property_to_user"),"value"=>null,"rules"=>"required"),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => ""),
	"featured" => array("label" => $lang->item("featured"),"value"	=> 0,"rules" => ""),
	"property_type" => array("label"=>$lang->item("property_type"),"value"=>null,"rules"=>"required"),
	"location"=>array("label"=>"","value"=>null,"rules"=>""),
	"address"=>array("label"=>$lang->item("property_address"),"value"=>null,"rules"=>""),
	"zip"=>array("label"=>$lang->item("property_zip"),"value"=>null,"rules"=>""),
	"lat"=>array("label"=>$lang->item("lat"),"value"=>null,"rules"=>""),
	"long"=>array("label"=>$lang->item("long"),"value"=>null,"rules"=>""),
	"zoom"=>array("label"=>$lang->item("long"),"value"=>null,"rules"=>""),
	"title_1" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>"required"),
	"title_2" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"title_3" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"title_4" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"title_5" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"summary_1" => array("label"=> $lang->item("summary"), "value"=>null, "rules"=>"required"),
	"summary_2" => array("label"=> $lang->item("summary"), "value"=>null, "rules"=>""),
	"summary_3" => array("label"=> $lang->item("summary"), "value"=>null, "rules"=>""),
	"summary_4" => array("label"=> $lang->item("summary"), "value"=>null, "rules"=>""),
	"summary_5" => array("label"=> $lang->item("summary"), "value"=>null, "rules"=>""),
	"description_1" => array("label"=> $lang->item("description"), "value"=>null, "rules"=>"required"),
	"description_2" => array("label"=> $lang->item("description"), "value"=>null, "rules"=>""),
	"description_3" => array("label"=> $lang->item("description"), "value"=>null, "rules"=>""),
	"description_4" => array("label"=> $lang->item("description"), "value"=>null, "rules"=>""),
	"description_5" => array("label"=> $lang->item("description"), "value"=>null, "rules"=>""),
	"area_description_1" => array("label"=> $lang->item("area_description"), "value"=>null, "rules"=>"required"),
	"area_description_2" => array("label"=> $lang->item("area_description"), "value"=>null, "rules"=>""),
	"area_description_3" => array("label"=> $lang->item("area_description"), "value"=>null, "rules"=>""),
	"area_description_4" => array("label"=> $lang->item("area_description"), "value"=>null, "rules"=>""),
	"area_description_5" => array("label"=> $lang->item("area_description"), "value"=>null, "rules"=>""),
	"number_bedrooms" =>array("label" => $lang->item("number_bedrooms"), "value"=>null, "rules"=>"required"),
	"number_bathrooms" =>array("label" => $lang->item("number_bathrooms"), "value"=>null, "rules"=>"required"),
	"max_guests" =>array("label" => $lang->item("max_guests"), "value"=>2, "rules"=>"required"),
	"property_suitability"=>array("label"=>"","value"=>null,"rules"=>""),
	"bed_types"=>array("label"=>"","value"=>null,"rules"=>""),
	"activity_types"=>array("label"=>"","value"=>null,"rules"=>""),
	"indoor_facilities"=>array("label"=>"","value"=>null,"rules"=>""),
	"outdoor_facilities"=>array("label"=>"","value"=>null,"rules"=>""),
	"seo_title_1" => array("label"=> $lang->item("seo_title"), "value"=>null, "rules"=>""),
	"seo_title_2" => array("label"=> $lang->item("seo_title"), "value"=>null, "rules"=>""),
	"seo_title_3" => array("label"=> $lang->item("seo_title"), "value"=>null, "rules"=>""),
	"seo_title_4" => array("label"=> $lang->item("seo_title"), "value"=>null, "rules"=>""),
	"seo_title_5" => array("label"=> $lang->item("seo_title"), "value"=>null, "rules"=>""),
	"seo_description_1" => array("label"=> $lang->item("seo_description"), "value"=>null, "rules"=>""),
	"seo_description_2" => array("label"=> $lang->item("seo_description"), "value"=>null, "rules"=>""),
	"seo_description_3" => array("label"=> $lang->item("seo_description"), "value"=>null, "rules"=>""),
	"seo_description_4" => array("label"=> $lang->item("seo_description"), "value"=>null, "rules"=>""),
	"seo_description_5" => array("label"=> $lang->item("seo_description"), "value"=>null, "rules"=>""),
	"seo_keywords_1" => array("label"=> $lang->item("seo_keywords"), "value"=>null, "rules"=>""),
	"seo_keywords_2" => array("label"=> $lang->item("seo_keywords"), "value"=>null, "rules"=>""),
	"seo_keywords_3" => array("label"=> $lang->item("seo_keywords"), "value"=>null, "rules"=>""),
	"seo_keywords_4" => array("label"=> $lang->item("seo_keywords"), "value"=>null, "rules"=>""),
	"seo_keywords_5" => array("label"=> $lang->item("seo_keywords"), "value"=>null, "rules"=>"")
	
);
$config["properties"]["photos"]["form_fields"] = array(
	"property_id"=>array("label"=>$lang->item("property_id"),"value"=>null,"rules"=>"required|numeric"),
	"photo_file"=>array("label"=>$lang->item("photo_file"),"value"=>null,"rules"=>""),
	"title_1" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"title_2" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"title_3" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"title_4" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"title_5" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"active"=>array("label"=>$lang->item("active"),"value"=>null,"rules"=>""),
	"multi_upload"=>array("label"=>$lang->item("upload_multiple"),"value"=>null,"rules"=>""),
	"photo_upload"=>array("label"=>$lang->item("photo"),"value"=>null,"rules"=>""),
	"hierarchy"=>array("label"=>$lang->item("hierarchy"),"value"=>null,"rules"=>""),
);

$config["properties"]["availability"]["form_fields"] = array(
	"sday" => array( "label" => "","value"=>date("d"),"rules"=>""),
	"smonth" => array( "label" => "","value"=>date("m"),"rules"=>""),
	"syear" => array( "label" => "","value"=>date("Y"),"rules"=>""),
	"eday" => array( "label" => "","value"=>date("d"),"rules"=>""),
	"emonth" => array( "label" => "","value"=>date("m"),"rules"=>""),
	"eyear" => array( "label" => "","value"=>date("Y"),"rules"=>""),
	"status"=>array(
		"label"=>"",
		"value"=>1,
		"rules"=>"",
		"options"=>array(
			$lang->item("confirmed")=>1,
			$lang->item("pending")=>2,
			$lang->item("cancelled")=>0
		)
	),
	"name"=>array("label"=>$lang->item("name"),"value"=>"","rules"=>"required"),
	"country"=>array("label"=>$lang->item("country"),"value"=>"","rules"=>"required"),
	"city"=>array("label"=>$lang->item("city"),"value"=>"","rules"=>"required"),
	"address"=>array("label"=>$lang->item("address"),"value"=>"","rules"=>"required"),
	"phone1"=>array("label"=>$lang->item("phone"),"value"=>"","rules"=>"required"),
	"phone2"=>array("label"=>$lang->item("mobile"),"value"=>"","rules"=>""),
	"email"=>array("label"=>$lang->item("email"),"value"=>"","rules"=>"required"),
	"additional_info"=>array("label"=>$lang->item("additional_info"),"value"=>"","rules"=>""),
	"payment_mode"=>array(
		"label"=>$lang->item("payment_mode"),
		"rules"=>"",
		"value"=>"",
		"options"=>array(
			$lang->item("credit_card")=>"credit_card",
			$lang->item("debit_card")=>"debit_card",
			$lang->item("cheque")=>"cheque"
		)
	)
);

$config["properties"]["rates"]["form_fields"] = array(
	"sday" => array( "label" => "","value"=>date("d"),"rules"=>""),
	"smonth" => array( "label" => "","value"=>date("m"),"rules"=>""),
	"syear" => array( "label" => "","value"=>date("Y"),"rules"=>""),
	"eday" => array( "label" => "","value"=>date("d"),"rules"=>""),
	"emonth" => array( "label" => "","value"=>date("m"),"rules"=>""),
	"eyear" => array( "label" => "","value"=>date("Y"),"rules"=>""),
	"title_1" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"title_2" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"title_3" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"title_4" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"title_5" => array("label"=> $lang->item("title"), "value"=>null, "rules"=>""),
	"nightly_rate_weekend"=>array("label"=>$lang->item("nightly_rate_weekend"),"value"=>0.0,"rules"=>"numeric"),
	"nightly_rate_weekday"=>array("label"=>$lang->item("nightly_rate_weekday"),"value"=>0.0,"rules"=>"numeric"),
	"weekly_rate"=>array("label"=>$lang->item("weekly_rate"),"value"=>0.0,"rules"=>"numeric"),
	"min_stay"=>array(
		"label"=>$lang->item("min_stay"),
		"value"=>"",
		"options"=>array(
			$lang->translate("flexible")=>"-1",
			"1 ".$lang->translate("night")=>"1",
			"2 ".$lang->translate("nights")=>"2",
			"3 ".$lang->translate("nights")=>"3",
			"4 ".$lang->translate("nights")=>"4",
			"5 ".$lang->translate("nights")=>"5",
			"6 ".$lang->translate("nights")=>"6",
			"1 ".$lang->translate("week")=>"7",
			"2 ".$lang->translate("weeks")=>"14",
			"3 ".$lang->translate("weeks")=>"21",
			"1 ".$lang->translate("month")=>"28",
			"2 ".$lang->translate("months")=>"56",
			"3 ".$lang->translate("months")=>"64"
		)
	),
	"property_currency"=>array(
		"label"=>"","value"=>"","options"=>array("..."=>"")
	),
	"active"=>array("label"=>$lang->item("active"),"value"=>1,"rules"=>"")
);

$config["properties"]["payment"]["form_fields"]["choose_plan"] = array(
	"plan_id"=>array(
		"label"=>$lang->translate("plan"),
		"value"=>null,
		"rules"=>"required"
	)
);
$config["properties"]["payment"]["form_fields"]["buy_plan"] = array(
	"base_package"=>array("label"=>$lang->translate("base_package"),"value"=>null,"rules"=>"required"),
	"captcha"=>array(
		"label"=>$lang->translate("security_code"),
		"value"=>null,
		"rules"=>"required|check_captcha"
	)
);

$config["properties"]["form_data_fields"] = array(
	"property_id",
	"user_id",
	"currency_id",
	"location",
	"ctime","mtime",
	"property_type",
	"address","zip","lat","long","zoom","zip",
	"title_1","title_2","title_3","title_4","title_5",
	"summary_1","summary_2","summary_3","summary_4","summary_5",
	"description_1","description_2","description_3","description_4","description_5",
	"area_description_1","area_description_2","area_description_3","area_description_4","area_description_5",
	"number_bedrooms","number_bathrooms","max_guests",
	"indoor_facilities","outdoor_facilities","property_suitability","bed_types","activity_types",
	"active",
	"featured",
	"seo_title_1","seo_title_2","seo_title_3","seo_title_4","seo_title_5",
	"seo_description_1","seo_description_2","seo_description_3","seo_description_4","seo_description_5",
	"seo_keywords_1","seo_keywords_2","seo_keywords_3","seo_keywords_4","seo_keywords_5"
);
$config["properties"]["photos"]["form_data_fields"] = array(
	"ctime","mtime",
	"property_id",
	"title_1","title_2","title_3","title_4","title_5",
	"photo_file",
	"hierarchy",
	"active"
);
$config["properties"]["availability"]["form_data_fields"] = array(
	"ctime","mtime",
	"property_id",
	"start_date",
	"end_date",
	"status",
	"name","address","city","country","phone1","phone2","email","payment_mode","additional_info"
);

$config["properties"]["rates"]["form_data_fields"] = array(
	"property_id",
	"nightly_rate_weekday","nightly_rate_weekend",
	"title_1","title_2","title_3","title_4","title_5",
	"weekly_rate",
	"min_stay",
	"active"
);

$config["properties"]["payment"]["form_data_fields"]["choose_plan"] = array("plan_id");
$config["properties"]["payment"]["form_data_fields"]["buy_plan"] = array("base_package","user_id");

/*
packages
----------------------------------------
*/
$config["packages"]["extra_js"] = array("packages.js");
$config["packages"]["extra_css"] = array();

$config["packages"]["list_header_fields"] = array(
	"package_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"package_type" => array("label" =>$lang->item("package_type"),"width"=>""),
	"title_1"	=> array( "label"	=> $lang->item("title"),"width" => "" ),
	"price" => array( "label" => $lang->item("price"),"width"=>5),
	"no_days" => array( "label" => "#".$lang->item("days"),"width"=>5),
	"no_photos" => array( "label" => "#".$lang->item("photos"),"width"=>5),
	"no_listings" => array( "label" => "#".$lang->item("listings"),"width"=>5),
	"no_featured_listings" => array( "label" => "#".$lang->item("featured_listings"),"width"=>5)
	
);

$config["packages"]["id_field"] = "package_id";
$config["packages"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["packages"]["db_fields"] = array();
$config["packages"]["orderby"] = "price desc";

$config["packages"]["form_fields"] = array(
	"package_type"=>array(
		"label" => $lang->item("package_type"),
		"value"=>null,
		"options"=>array(
			$lang->item("base_package") =>"base_package",
			$lang->item("extra_package")=>"extra_package",
			//$lang->item("promotional_package") =>"promotional_package"
		),
		"rules"=>"required"
	),
	"title_1"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "required" ),
	"title_2"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_3"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_4"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"title_5"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "" ),
	"price" => array( "label" => $lang->item("price"),"value"	=> null,"rules" => "required|positive_number" ),
	"no_days" => array( "label" => $lang->item("no_days"),"value"	=> null,"rules" => "" ),
	"no_photos" => array( "label" => $lang->item("no_photos"),"value"	=> null,"rules" => "" ),
	"no_listings" => array( "label" => $lang->item("no_listings"),"value"	=> null,"rules" => "" ),
	"no_featured_listings" => array( "label" => $lang->item("no_featured_listings"),"value"	=> null,"rules" => "" ),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required")
);
$config["packages"]["form_data_fields"] = array(
	"package_type",
	"price",
	"title_1","title_2","title_3","title_4","title_5",
	"no_days","no_photos","no_listings","no_featured_listings",
	"active"
);

/*
adverts
----------------------------------------
*/
$config["adverts"]["extra_js"] = array();
$config["adverts"]["extra_css"] = array();

$config["adverts"]["list_header_fields"] = array(
	"advert_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"featured"	=> array( "label"	=> $lang->item("featured"),"width"	=> 5 ),
	"advert_position"	=> array( "label"	=> $lang->item("advert_position"),"width"	=> "" ),
	"title_1"	=> array( "label"	=> $lang->item("title"),"width" => "" ),
	"impressions" =>array("label" => $lang->item("impressions"),"width"=>5),
	"views" =>array("label" => $lang->item("views"),"width"=>5),
	"clicks" =>array("label" => $lang->item("clicks"),"width"=>5),
	"start_time" =>array("label" => $lang->item("start_time"),"width"=>10),
	"end_time" =>array("label" => $lang->item("end_time"),"width"=>10)
	
);

$config["adverts"]["id_field"] = "advert_id";
$config["adverts"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["adverts"]["db_fields"] = array("advert_id","title_1","active","featured","views","impressions","clicks","start_time","end_time","advert_file","advert_position");
$config["adverts"]["orderby"] = "advert_id desc";

$config["adverts"]["upload"] = array(
	"upload" => array(
		"upload_path" => PUBLIC_PATH . "upload/adverts/",
		"encrypt_name" => true,
		"max_width" => 800,
		"max_height" => 600,
		"allowed_types" => "gif|bmp|jpg|png|jpeg|swf"
	)
);
$config["adverts"]["form_fields"] = array(
	"sday" => array( "label" => "","value"=>date("d"),"rules"=>""),
	"smonth" => array( "label" => "","value"=>date("m"),"rules"=>""),
	"syear" => array( "label" => "","value"=>date("Y"),"rules"=>""),
	"eday" => array( "label" => "","value"=>date("d"),"rules"=>""),
	"emonth" => array( "label" => "","value"=>date("m"),"rules"=>""),
	"eyear" => array( "label" => "","value"=>date("Y"),"rules"=>""),
	"start_time" =>array("label"=>"","value"=>null,"rules"=>""),
	"end_time" =>array("label"=>"","value"=>null,"rules"=>""),
	"advert_position" =>array(
		"label"=>$lang->item("advert_position"),
		"value"=>null,
		"rules"=>"",
		"options"=>array(
			$lang->item("advert_top")=>"top",
			$lang->item("advert_bottom")=>"bottom",
			$lang->item("advert_left")=>"left",
			$lang->item("advert_right")=>"right",
			$lang->item("advert_custom")=>"custom"
		)
	),
	"link"	=> array( "label" => $lang->item("link"), "value"=>null, "rules"=>"required|prep_url"),
	"advert_file" => array("label"=>$lang->item("advert_file"),"value"=>null,"rules"=>""),
	"advert_file_upload" => array("label"=>$lang->item("advert_file"),"value"=>null,"rules"=>""),
	"delete_advert_upload"=> array("label"=>"","value"=>"","rules"=>""),
	"width" => array( "label" => $lang->item("width") ,"value"=>null, "rules"=>"positive_number"),
	"height" => array( "label" => $lang->item("height") ,"value"=>null, "rules"=>"positive_number"),
	"impressions" => array( "label"=> $lang->item("max_impressions"), "value"=>0 , "rules"=>"required|positive_number"),
	"views" => array( "label"=> $lang->item("views"), "value"=>0 , "rules"=>""),
	"clicks" => array( "label"=> $lang->item("clicks"), "value"=>0 , "rules"=>""),
	"title_1" => array( "label"	=> $lang->item("title"),"value"=>null,"rules"=>"required"),
	"title_2" => array( "label"	=> $lang->item("title"),"value"=>null,"rules"=>""),
	"title_3" => array( "label"	=> $lang->item("title"),"value"=>null,"rules"=>""),
	"title_4" => array( "label"	=> $lang->item("title"),"value"=>null,"rules"=>""),
	"title_5" => array( "label"	=> $lang->item("title"),"value"=>null,"rules"=>""),
	"description_1" => array( "label"	=> $lang->item("description"),"value"=>null,"rules"=>"required"),
	"description_2" => array( "label"	=> $lang->item("description"),"value"=>null,"rules"=>""),
	"description_3" => array( "label"	=> $lang->item("description"),"value"=>null,"rules"=>""),
	"description_4" => array( "label"	=> $lang->item("description"),"value"=>null,"rules"=>""),
	"description_5" => array( "label"	=> $lang->item("description"),"value"=>null,"rules"=>""),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required"),
	"featured" => array("label" => $lang->item("active"),"value"	=> 0,"rules" => "required")
);
$config["adverts"]["form_data_fields"] = array(
	"link",
	"advert_position",
	"width","height",
	"advert_file",
	"impressions",
	"views",
	"clicks",
	"start_time",
	"end_time",
	"title_1","title_2","title_3","title_4","title_5",
	"description_1","description_2","description_3","description_4","description_5",
	"active","featured"
);

/*
currencies
----------------------------------------
*/
$config["currencies"]["extra_js"] = array();
$config["currencies"]["extra_css"] = array();

$config["currencies"]["list_header_fields"] = array(
	"currency_id"	=> array("label"	=> "#","width"	=> 5 ),
	"active"	=> array( "label"	=> $lang->item("active"),"width"	=> 5 ),
	"is_default"	=> array( "label"	=> $lang->item("is_default"),"width"	=> 5 ),
	"title"	=> array( "label"	=> $lang->item("title"),"width" => "" ),
	"code"	=> array( "label"	=> $lang->item("code"),"width" => 5 ),
	"symbol_lft"=>array( "label"	=> $lang->item("symbol_lft"),"width" => 10 ),
	"symbol_rgt"=>array( "label"	=> $lang->item("symbol_rgt"),"width" => 10 ),
	"currency_rate"=>array("label"=>$lang->item("currency_rate"),"width"=>10)
);

$config["currencies"]["id_field"] = "currency_id";
$config["currencies"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>5,"total_rows" =>0);
$config["currencies"]["db_fields"] = array();
$config["currencies"]["orderby"] = "currency_id desc";

$config["currencies"]["form_fields"] = array(
	"title"	=> array( "label" => $lang->item("title"),"value"	=> null,"rules" => "required" ),
	"code"	=> array( "label" => $lang->item("code"),"value"	=> null,"rules" => "required" ),
	"symbol_lft"=>array( "label" => $lang->item("symbol_lft"),"value"	=> null,"rules" => "" ),
	"symbol_rgt"=>array( "label" => $lang->item("symbol_rgt"),"value"	=> null,"rules" => "" ),
	"currency_rate"	=> array( "label" => $lang->item("currency_rate"),"value"	=> 1,"rules" => "required|numeric" ),
	"active" => array("label" => $lang->item("active"),"value"	=> 1,"rules" => "required"),
	"is_default" => array("label" => $lang->item("is_default"),"value"	=> 0,"rules" => "required")
);
$config["currencies"]["form_data_fields"] = array(
	"currency_id",
	"title",
	"code",
	"symbol_lft","symbol_rgt",
	"currency_rate",
	"active","is_default"
);
?>