<?php if( ! defined("SITE_PATH") ) exit("Access denied !");
$lang = &load_class("lang");

/*
SEARCH
---------------------------------------------------------------------------------------------
**/

$config["search"]["extra_js"] = array("googlemap.js","search.js","jquery.scrollTo.js");
$config["search"]["extra_css"] = array();
$config["search"]["pagination"] = array( "base_url" =>"","per_page" =>10,"uri_segment" =>3,"total_rows" =>0);
$config["search"]["form_fields"] = array(
	"property_id" => array(
		"label" => $lang->translate("property_id"),
		"value" => "",
		"rules" => ""
	),
	"property_type" => array(
		"label" => $lang->translate("property_type"),
		"value" => "",
		"rules" => "" 
	),
	"sday" => array( "label" => "","value"=>"","rules"=>"","options"=>array(".."=>"")),
	"smonth" => array( "label" => "","value"=>"","rules"=>"","options"=>array(".."=>"")),
	"syear" => array( "label" => "","value"=>"","rules"=>"","options"=>array(".."=>"")),
	"eday" => array( "label" => "","value"=>"","rules"=>"","options"=>array(".."=>"")),
	"emonth" => array( "label" => "","value"=>"","rules"=>"","options"=>array(".."=>"")),
	"eyear" => array( "label" => "","value"=>"","rules"=>"","options"=>array(".."=>"")),
	"location"=>array("label"=>"","value"=>"","rules"=>"")
);


/*
PROPERTIES
---------------------------------------------------------------------------------------------
**/

$config["front_properties"]["extra_js"] = array(
	"details"=>array("jquery.lightbox-0.5.js","googlemap.js","properties.js",/*"jquery.scrollTo.js",*/"jquery.scrollable-1.0.1.js","facebox.js"),
	"reviews"=>array()
);
$config["front_properties"]["extra_css"] = array(
	"details"=>array("jquery.lightbox-0.5.css","availability_calendar.css","scrollable-minimal.css","scrollable-navig.css","facebox.css"),
	"reviews"=>array()
);

$config["front_properties"]["booking"]["form_fields"] = array(
	"aday" => array( "label" => "","value"=>date("d"),"rules"=>""),
	"amonth" => array( "label" => "","value"=>date("m"),"rules"=>""),
	"ayear" => array( "label" => "","value"=>date("Y"),"rules"=>""),
	"dday" => array( "label" => "","value"=>date("d"),"rules"=>""),
	"dmonth" => array( "label" => "","value"=>date("m"),"rules"=>""),
	"dyear" => array( "label" => "","value"=>date("Y"),"rules"=>""),
	"name" =>array("label"=>$lang->translate("name"),"rules"=>"required"),
	"country" =>array("label"=>$lang->translate("country"),"rules"=>"required"),
	"city" =>array("label"=>$lang->translate("city"),"rules"=>"required"),
	"address"=>array("label"=>$lang->translate("address"),"rules"=>"required"),
	"phone1"=>array("label"=>$lang->translate("phone"),"rules"=>"required"),
	"phone2"=>array("label"=>$lang->translate("mobile"),"rules"=>""),
	"email"=>array("label"=>$lang->translate("email"),"rules"=>"required"),
	"additional_info"=>array("label"=>$lang->translate("additional_info"),"rules"=>""),
	"payment_mode"=>array(
		"label"=>$lang->item("payment_mode"),
		"rules"=>"",
		"value"=>"",
		"options"=>array(
			$lang->item("credit_card")=>"credit_card",
			$lang->item("debit_card")=>"debit_card",
			$lang->item("cheque")=>"cheque"
		)
	)
);
$config["front_properties"]["contact_owner"]["form_fields"] = array(
	"contact_owner_name" =>array("label"=>$lang->translate("name"),"value"=>null,"rules"=>"required"),
	"contact_owner_email" =>array("label"=>$lang->translate("email"),"value"=>null,"rules"=>"required|valid_email"),
	"contact_owner_message" =>array("label"=>$lang->translate("message"),"value"=>null,"rules"=>"required"),
	"contact_owner_country" => array("label"=>$lang->translate("contact_owner_country"),"value"=>null,"rules"=>""),
	"contact_owner_city" => array("label"=>$lang->translate("contact_owner_city"),"value"=>null,"rules"=>""),
	"contact_owner_phone1" => array("label"=>$lang->translate("contact_owner_phone1"),"value"=>null,"rules"=>""),
	"contact_owner_phone2" => array("label"=>$lang->translate("contact_owner_phone2"),"value"=>null,"rules"=>"")
);

$config["front_properties"]["booking"]["form_data_fields"] = array(
	"property_id",
	"ctime",
	"start_date","end_date",
	"name","address","country","city","email","phone1","phone2","additional_info","payment_mode","status"
);
$config["front_properties"]["contact_owner"]["form_data_fields"] = array(
	"contact_owner_name","contact_owner_email","contact_owner_phone1","contact_owner_phone2","contact_owner_country","contact_owner_city","contact_owner_message"
);

$config["front_properties"]["email_friend"]["form_fields"] = array(
	"friend_name"=> array(
		"label"=>$lang->item("friend_name"),
		"value"=>"",
		"rules"=>"required"
	),
	"friend_email"=>array(
		"label"=>$lang->item("friend_email"),
		"value"=>"",
		"rules"=>"required"
	),
	"your_name"=> array(
		"label"=>$lang->item("your_name"),
		"value"=>"",
		"rules"=>"required"
	),
	"your_email"=>array(
		"label"=>$lang->item("your_email"),
		"value"=>"",
		"rules"=>"required"
	),
	"additional_notes"=>array(
		"label"=>$lang->item("additional_notes"),
		"value"=>"",
		"rules"=>""
	)
);
$config["front_properties"]["email_friend"]["form_data_fields"] = array(
	"friend_name","friend_email","your_name","your_email","additional_notes"
);

$config["front_properties"]["reviews"]["form_fields"] = array(
	"name"=>array(
		"labe"=>$lang->item("name"),
		"value"=>"",
		"rules"=>"required"
	),
	"email_address"=>array(
		"label"=>$lang->item("email"),
		"value"=>"",
		"rules"=>"required|valid_email"
	),
	"rate"=>array(
		"label"=>$lang->item("rate"),
		"value"=>5,
		"rules"=>"",
		"options"=>array(
			"* * * * *"=>5,
			"* * * *"=>4,
			"* * *"=>3,
			"* *"=>2,
			"*"=>1
		)
	),
	"title"=>array("label"=>$lang->item("title"),"value"=>"","rules"=>"required"),
	"body"=>array(
		"label"=>$lang->item("review_body"),"value"=>"","rules"=>"required"
	),
	"captcha"=>array("label"=>$lang->item("security_code"),"value"=>"","rules"=>"required|check_captcha")
);
$config["front_properties"]["reviews"]["form_data_fields"] = array(
	"ctime","name","email_address","title","body","rate","active"
);

/*
SIGNUP
---------------------------------------------------------------------------------------------
**/
$config["signup"]["extra_js"] = array("signup.js");
$config["signup"]["extra_css"] = array();

$config["signup"]["form_fields"] = array(
	"user_name"=>array(
		"label"=>$lang->item("user_name"),
		"value"=>null,
		"rules"=>"required|duplicate_username"
	),
	"email"=>array(
		"label"=>$lang->item("email"),
		"value"=>null,
		"rules"=>"required|valid_email|duplicate_user_email"
	),
	"captcha"=>array(
		"label"=>$lang->item("security_code"),
		"value"=>null,
		"rules"=>"required|check_captcha"
	)
);
$config["signup"]["form_data_fields"] = array("created","user_name","email","banned");

/*
CAPTCHA
---------------------------------------------------------------------------------------------
**/

$config["captcha"] = array(
	'img_path'	 => PUBLIC_PATH."upload/captcha/",
	'img_url'	 => PUBLIC_DOMAIN."upload/captcha/" 
);

/*
GATEWAYS
---------------------------------------------------------------------------------------------
**/
$config["gateways"] = array(
	"paypal"=>array(
		"label"=>"Paypal",
		"icon"=>PUBLIC_DOMAIN."upload/gateways/paypal.gif",
		"active"=>1,
		"default"=>1
	),
	"wire_transfer"=>array(
		"label"=>"Wire transfer",
		"icon"=>"",
		"active"=>1,
		"default"=>0
	)
);


?>