CREATE TABLE `vrs4_activity_types` (
  `activity_type_id` int(11) NOT NULL auto_increment,
  `title_1` varchar(100) character set utf8 NOT NULL,
  `title_2` varchar(100) character set utf8 default NULL,
  `title_3` varchar(100) character set utf8 default NULL,
  `title_4` varchar(100) character set utf8 default NULL,
  `title_5` varchar(100) character set utf8 default NULL,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`activity_type_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
INSERT INTO `vrs4_activity_types` (`activity_type_id`, `title_1`, `title_2`, `title_3`, `title_4`, `title_5`, `active`) VALUES
(1, 'Swimming', '0', '0', '0', '0', '1'),
(2, 'Biking', '0', '0', '0', '0', '1'),
(3, 'Hiking', '0', '0', '0', '0', '1'),
(4, 'Birdwatching', '0', '0', '0', '0', '1'),
(5, 'Scuba Diving', '0', '0', '0', '0', '1'),
(6, 'Horse Riding', '0', '0', '0', '0', '1'),
(7, 'Fishing', '0', '0', '0', '0', '1'),
(8, 'Sailing', '0', '0', '0', '0', '1'),
(9, 'Shopping', '0', '0', '0', '0', '1'),
(10, 'Golf', '0', '0', '0', '0', '1');
--
CREATE TABLE `vrs4_adverts` (
  `advert_id` int(11) NOT NULL auto_increment,
  `ctime` datetime NOT NULL,
  `mtime` datetime default NULL,
  `start_time` datetime default NULL,
  `end_time` datetime default NULL,
  `advert_position` varchar(255) default NULL,
  `title_1` varchar(255) character set utf8 NOT NULL,
  `title_2` varchar(255) character set utf8 default NULL,
  `title_3` varchar(255) character set utf8 default NULL,
  `title_4` varchar(255) character set utf8 default NULL,
  `title_5` varchar(255) character set utf8 default NULL,
  `description_1` text character set utf8 NOT NULL,
  `description_2` text character set utf8,
  `description_3` text character set utf8,
  `description_4` text character set utf8,
  `description_5` text character set utf8,
  `link` varchar(255) NOT NULL,
  `advert_file` varchar(255) default NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `featured` enum('0','1') NOT NULL default '0',
  `impressions` int(10) unsigned NOT NULL default '0',
  `views` int(10) unsigned NOT NULL default '0',
  `clicks` int(11) default '0',
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`advert_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_bed_types` (
  `bed_type_id` int(11) NOT NULL auto_increment,
  `title_1` varchar(100) character set utf8 NOT NULL,
  `title_2` varchar(100) character set utf8 default NULL,
  `title_3` varchar(100) character set utf8 default NULL,
  `title_4` varchar(100) character set utf8 default NULL,
  `title_5` varchar(100) character set utf8 default NULL,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`bed_type_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
INSERT INTO `vrs4_bed_types` (`bed_type_id`, `title_1`, `title_2`, `title_3`, `title_4`, `title_5`, `active`) VALUES
(1, 'Single', '0', '0', '0', '0', '1'),
(2, 'Double', '0', '0', '0', '0', '1'),
(3, 'King Size', '0', '0', '0', '0', '1'),
(4, 'Queen Size', '0', '0', '0', '0', '1'),
(5, 'Sofa', '0', '0', '0', '0', '1'),
(6, 'Fouton', '0', '0', '0', '0', '1');
--
CREATE TABLE `vrs4_bookings` (
  `booking_id` int(11) NOT NULL auto_increment,
  `ctime` datetime default NULL,
  `mtime` datetime default NULL,
  `property_id` int(11) NOT NULL,
  `start_date` datetime default NULL,
  `end_date` datetime default NULL,
  `name` varchar(100) default NULL,
  `address` text,
  `country` varchar(255) default NULL,
  `city` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `phone1` varchar(30) default NULL,
  `phone2` varchar(30) default NULL,
  `additional_info` text,
  `payment_mode` varchar(50) default NULL,
  `status` enum('0','1','2') NOT NULL,
  PRIMARY KEY  (`booking_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_captcha` (
  `captcha_id` bigint(13) unsigned NOT NULL auto_increment,
  `captcha_time` int(10) unsigned NOT NULL,
  `ip_address` varchar(16) NOT NULL default '0',
  `word` varchar(20) NOT NULL,
  PRIMARY KEY  (`captcha_id`),
  KEY `word` (`word`)
) ENGINE=InnoDB AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_currencies` (
  `currency_id` int(11) NOT NULL auto_increment,
  `title` varchar(255) character set utf8 NOT NULL,
  `code` varchar(3) NOT NULL,
  `symbol_lft` varchar(20) character set utf8 default NULL,
  `symbol_rgt` varchar(20) character set utf8 default NULL,
  `currency_rate` double NOT NULL,
  `active` enum('0','1') NOT NULL default '1',
  `is_default` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`currency_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
INSERT INTO `vrs4_currencies` (`currency_id`, `title`, `code`, `symbol_lft`, `symbol_rgt`, `currency_rate`, `active`, `is_default`) VALUES
(1, 'euro', 'EUR', '', '', 1, '1', '1'),
(2, 'us dollar', 'USD', '$', '', 1.5, '1', '0');
--
CREATE TABLE `vrs4_email_accounts` (
  `email_account_id` int(11) NOT NULL auto_increment,
  `name` varchar(255) character set utf8 default NULL,
  `email_address` varchar(255) default NULL,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`email_account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_email_templates` (
  `email_template_id` int(11) NOT NULL auto_increment,
  `send_from` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `subject_1` varchar(255) character set utf8 NOT NULL,
  `subject_2` varchar(255) character set utf8 default NULL,
  `subject_3` varchar(255) character set utf8 default NULL,
  `subject_4` varchar(255) character set utf8 default NULL,
  `subject_5` varchar(255) character set utf8 default NULL,
  `body_1` text character set utf8 NOT NULL,
  `body_2` text character set utf8,
  `body_3` text character set utf8,
  `body_4` text character set utf8,
  `body_5` text character set utf8,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`email_template_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_extra_plans` (
  `extra_plan_id` int(11) NOT NULL auto_increment,
  `plan_id` int(11) NOT NULL,
  `extra_package` int(11) NOT NULL,
  `ctime` datetime default NULL,
  `plan_status` enum('-1','0','1','2') NOT NULL,
  PRIMARY KEY  (`extra_plan_id`),
  KEY `plan_id` (`plan_id`,`extra_package`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_facilities` (
  `facility_id` int(11) NOT NULL auto_increment,
  `title_1` varchar(255) character set utf8 NOT NULL,
  `title_2` varchar(255) character set utf8 default NULL,
  `title_3` varchar(255) character set utf8 default NULL,
  `title_4` varchar(255) character set utf8 default NULL,
  `title_5` varchar(255) character set utf8 default NULL,
  `facility_type` varchar(255) character set utf8 NOT NULL,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`facility_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
INSERT INTO `vrs4_facilities` (`facility_id`, `title_1`, `title_2`, `title_3`, `title_4`, `title_5`, `facility_type`, `active`) VALUES
(1, 'Wireless Internet', '0', '0', '0', '0', 'indoor', '1'),
(2, 'Gym Room', '0', '0', '0', '0', 'indoor', '1'),
(3, 'Air Conditioning', '0', '0', '0', '0', 'indoor', '1'),
(4, 'Cable TV', '0', '0', '0', '0', 'indoor', '1'),
(5, 'Satellite TV', '0', '0', '0', '0', 'indoor', '1'),
(6, 'DVD player', '0', '0', '0', '0', 'indoor', '1'),
(7, 'Stereo', '0', '0', '0', '0', 'indoor', '1'),
(8, 'Microwave', '0', '0', '0', '0', 'indoor', '1'),
(9, 'Oven', '0', '0', '0', '0', 'indoor', '1'),
(11, 'Stove', '0', '0', '0', '0', 'indoor', '1'),
(12, 'Dishwasher', '0', '0', '0', '0', 'indoor', '1'),
(13, 'Washer/Dryer', '0', '0', '0', '0', 'indoor', '1'),
(14, 'Refrigerator', '0', '0', '0', '0', 'indoor', '1'),
(15, 'Blender', '0', '0', '0', '0', 'indoor', '1'),
(16, 'Playstation', '0', '0', '0', '0', 'indoor', '1'),
(17, 'Blender', '0', '0', '0', '0', 'indoor', '1'),
(18, 'Coffee Maker', '0', '0', '0', '0', 'indoor', '1'),
(19, 'Flat Screen TV', '0', '0', '0', '0', 'indoor', '1'),
(20, 'Fireplace', '0', '0', '0', '0', 'indoor', '1'),
(21, 'Tennis Court', '0', '0', '0', '0', 'outdoor', '1'),
(22, 'Mini Golf Court', '0', '0', '0', '0', 'outdoor', '1'),
(23, 'Volleyball', '0', '0', '0', '0', 'outdoor', '1'),
(24, 'Ping Pong', '0', '0', '0', '0', 'outdoor', '1'),
(25, 'Swimming Pool', '0', '0', '0', '0', 'outdoor', '1'),
(26, 'BBQ', '0', '0', '0', '0', 'outdoor', '1'),
(27, 'Parking', '0', '0', '0', '0', 'outdoor', '1'),
(28, 'Jacuzzi', '0', '0', '0', '0', 'outdoor', '1');
--
CREATE TABLE `vrs4_languages` (
  `language_id` int(11) NOT NULL auto_increment,
  `ctime` datetime default NULL,
  `mtime` datetime default NULL,
  `title` varchar(100) NOT NULL,
  `idiom` varchar(100) NOT NULL,
  `code_2` varchar(2) NOT NULL,
  `code_3` varchar(3) default NULL,
  `flag_file` varchar(255) default NULL,
  `system_flag` varchar(255) default NULL,
  `use_system_flag` tinyint(1) NOT NULL default '1',
  `date_format` varchar(255) NOT NULL,
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`language_id`,`idiom`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
INSERT INTO `vrs4_languages` (`language_id`, `ctime`, `mtime`, `title`, `idiom`, `code_2`, `code_3`, `flag_file`, `system_flag`, `use_system_flag`, `date_format`, `active`) VALUES
(1, '2008-12-15 17:50:17', '2009-02-25 15:08:29', 'fr', 'french', 'fr', '', '', 'fr.png', 1, '%d/%m/%Y', 1),
(2, '2008-12-15 17:50:01', '2009-01-30 19:57:20', 'english', 'english', 'us', '', '', 'us.png', 1, '%Y-%m-%d', 1);
--
CREATE TABLE `vrs4_media` (
  `media_id` int(11) NOT NULL auto_increment,
  `ctime` datetime default NULL,
  `mtime` datetime default NULL,
  `media_file` varchar(255) NOT NULL,
  `title` varchar(255) character set utf8 default NULL,
  `description` varchar(255) character set utf8 default NULL,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`media_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_packages` (
  `package_id` int(11) NOT NULL auto_increment,
  `package_type` varchar(50) NOT NULL,
  `title_1` varchar(255) character set utf8 NOT NULL,
  `title_2` varchar(255) character set utf8 default NULL,
  `title_3` varchar(255) character set utf8 default NULL,
  `title_4` varchar(255) character set utf8 default NULL,
  `title_5` varchar(255) character set utf8 default NULL,
  `price` double NOT NULL default '0',
  `no_days` varchar(11) character set utf8 default NULL,
  `no_photos` varchar(11) character set utf8 default NULL,
  `no_listings` varchar(11) character set utf8 default NULL,
  `no_featured_listings` int(11) default NULL,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`package_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_payment_logs` (
  `payment_log_id` int(10) unsigned NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `plan_id` int(11) default NULL,
  `ctime` datetime default NULL,
  `payment_info` text,
  `log_body` text,
  `log_body_user` text,
  `gateway` varchar(255) character set utf8 NOT NULL,
  `payment_status` enum('0','1','2') NOT NULL default '1',
  PRIMARY KEY  (`payment_log_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_photos` (
  `photo_id` int(11) NOT NULL auto_increment,
  `ctime` datetime default NULL,
  `mtime` datetime default NULL,
  `property_id` int(11) NOT NULL,
  `title_1` varchar(255) character set utf8 default NULL,
  `title_2` varchar(255) character set utf8 default NULL,
  `title_3` varchar(255) character set utf8 default NULL,
  `title_4` varchar(255) character set utf8 default NULL,
  `title_5` varchar(255) character set utf8 default NULL,
  `photo_file` varchar(255) NOT NULL,
  `hierarchy` int(10) unsigned default NULL,
  `active` enum('0','1') NOT NULL,
  PRIMARY KEY  (`photo_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_plans` (
  `plan_id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `base_package` int(11) NOT NULL,
  `ctime` datetime default NULL,
  `etime` datetime default NULL,
  `plan_status` enum('-1','0','1','2') NOT NULL,
  PRIMARY KEY  (`plan_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_properties` (
  `property_id` int(10) unsigned NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `plan_id` int(11) default NULL,
  `ctime` datetime default NULL,
  `mtime` datetime default NULL,
  `currency_id` int(11) default NULL,
  `property_type` int(11) NOT NULL,
  `location` varchar(255) default NULL,
  `address` text character set utf8,
  `zip` varchar(255) default NULL,
  `lat` varchar(255) default NULL,
  `long` varchar(255) default NULL,
  `zoom` int(11) default NULL,
  `title_1` varchar(50) character set utf8 NOT NULL,
  `title_2` varchar(50) character set utf8 default NULL,
  `title_3` varchar(50) character set utf8 default NULL,
  `title_4` varchar(50) character set utf8 default NULL,
  `title_5` varchar(50) character set utf8 default NULL,
  `summary_1` text character set utf8 NOT NULL,
  `summary_2` text character set utf8,
  `summary_3` text character set utf8,
  `summary_4` text character set utf8,
  `summary_5` text character set utf8,
  `description_1` text character set utf8 NOT NULL,
  `description_2` text character set utf8,
  `description_3` text character set utf8,
  `description_4` text character set utf8,
  `description_5` text character set utf8,
  `area_description_1` text character set utf8 NOT NULL,
  `area_description_2` text character set utf8,
  `area_description_3` text character set utf8,
  `area_description_4` text character set utf8,
  `area_description_5` text character set utf8,
  `number_bedrooms` varchar(5) default NULL,
  `number_bathrooms` varchar(5) default NULL,
  `max_guests` varchar(5) default NULL,
  `indoor_facilities` text character set utf8,
  `outdoor_facilities` text character set utf8,
  `bed_types` text character set utf8,
  `activity_types` text character set utf8,
  `property_suitability` text,
  `active` enum('0','1') NOT NULL default '0',
  `featured` enum('0','1') NOT NULL default '0',
  `seo_title_1` varchar(255) default NULL,
  `seo_title_2` varchar(255) default NULL,
  `seo_title_3` varchar(255) default NULL,
  `seo_title_4` varchar(255) default NULL,
  `seo_title_5` varchar(255) default NULL,
  `seo_description_1` text,
  `seo_description_2` text,
  `seo_description_3` text,
  `seo_description_4` text,
  `seo_description_5` text,
  `seo_keywords_1` text,
  `seo_keywords_2` text,
  `seo_keywords_3` text,
  `seo_keywords_4` text,
  `seo_keywords_5` text,
  `views` int(10) unsigned default '0',
  PRIMARY KEY  (`property_id`),
  FULLTEXT KEY `location` (`location`),
  FULLTEXT KEY `indoor_facilities` (`indoor_facilities`),
  FULLTEXT KEY `outdoor_facilities` (`outdoor_facilities`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_property_types` (
  `property_type_id` int(11) NOT NULL auto_increment,
  `title_1` varchar(100) character set utf8 NOT NULL,
  `title_2` varchar(100) character set utf8 default NULL,
  `title_3` varchar(100) character set utf8 default NULL,
  `title_4` varchar(100) character set utf8 default NULL,
  `title_5` varchar(100) character set utf8 default NULL,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`property_type_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
INSERT INTO `vrs4_property_types` (`property_type_id`, `title_1`, `title_2`, `title_3`, `title_4`, `title_5`, `active`) VALUES
(1, 'Apartment', '0', '0', '0', '0', '1'),
(2, 'Cottage', '0', '0', '0', '0', '1'),
(3, 'Bed&Breakfast', '0', '0', '0', '0', '1'),
(4, 'Cabin', '0', '0', '0', '0', '1'),
(5, 'Chalet', '0', '0', '0', '0', '1'),
(6, 'Condo', '0', '0', '0', '0', '1'),
(7, 'Duplex', '0', '0', '0', '0', '1'),
(8, 'House', '0', '0', '0', '0', '1'),
(9, 'Houseboat', '0', '0', '0', '0', '1'),
(10, 'Lodge', '0', '0', '0', '0', '1'),
(11, 'Studio', '0', '0', '0', '0', '1'),
(12, 'Villa', '0', '0', '0', '0', '1');
--
CREATE TABLE `vrs4_rates` (
  `rate_id` int(11) NOT NULL auto_increment,
  `property_id` int(11) NOT NULL,
  `title_1` varchar(255) character set utf8 default NULL,
  `title_2` varchar(255) character set utf8 default NULL,
  `title_3` varchar(255) character set utf8 default NULL,
  `title_4` varchar(255) character set utf8 default NULL,
  `title_5` varchar(255) character set utf8 default NULL,
  `first_night` datetime default NULL,
  `last_night` datetime default NULL,
  `weekly_rate` double default NULL,
  `min_stay` int(11) default NULL,
  `nightly_rate_weekday` double default NULL,
  `nightly_rate_weekend` double default NULL,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`rate_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_regional` (
  `regional_id` int(11) NOT NULL auto_increment,
  `ctime` datetime default NULL,
  `mtime` datetime default NULL,
  `title` varchar(255) character set utf8 NOT NULL,
  `lft` int(11) NOT NULL,
  `rgt` int(11) NOT NULL,
  `active` enum('0','1') NOT NULL default '1',
  `parent` int(11) NOT NULL,
  PRIMARY KEY  (`regional_id`),
  KEY `active` (`active`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
INSERT INTO `vrs4_regional` (`regional_id`, `ctime`, `mtime`, `title`, `lft`, `rgt`, `active`, `parent`) VALUES
(1, NULL, NULL, 'root', 0, 39, '1', 0),
(2, '2009-03-09 10:44:52', NULL, 'Europe', 3, 36, '1', 1),
(3, '2009-03-09 10:45:26', NULL, 'North America', 37, 38, '1', 1),
(4, '2009-03-09 10:45:41', NULL, 'Australia', 1, 2, '1', 1),
(5, '2009-03-09 10:45:47', NULL, 'France', 4, 21, '1', 2),
(6, '2009-03-09 10:45:53', NULL, 'Spain', 30, 35, '1', 2),
(7, '2009-03-09 10:46:00', NULL, 'Italy', 26, 29, '1', 2),
(8, '2009-03-09 10:46:06', NULL, 'Greece', 22, 25, '1', 2),
(9, '2009-03-09 10:50:02', NULL, 'Midi-Pyrenees', 13, 14, '1', 5),
(10, '2009-03-09 10:50:16', NULL, 'Paris-Isle-of-France', 15, 18, '1', 5),
(11, '2009-03-09 10:50:29', NULL, 'Provence-Alpes-Azur', 19, 20, '1', 5),
(12, '2009-03-09 10:50:39', NULL, 'Aquitaine', 5, 6, '1', 5),
(13, '2009-03-09 10:50:50', NULL, 'Corsica', 9, 12, '1', 5),
(14, '2009-03-09 10:51:09', NULL, 'Center', 7, 8, '1', 5),
(15, '2009-03-09 10:53:30', NULL, 'Paris', 16, 17, '1', 10),
(16, '2009-03-09 10:54:05', NULL, 'Bastia', 10, 11, '1', 13),
(17, '2009-03-09 10:54:15', NULL, 'Athens', 23, 24, '1', 8),
(18, '2009-03-09 10:54:20', NULL, 'Venice', 27, 28, '1', 7),
(19, '2009-03-09 10:54:26', NULL, 'Barcelona', 31, 32, '1', 6),
(20, '2009-03-09 10:54:31', NULL, 'Madrid', 33, 34, '1', 6);
--
CREATE TABLE `vrs4_regional_levels` (
  `regional_level_id` int(11) NOT NULL auto_increment,
  `title` varchar(255) character set utf8 NOT NULL,
  `hierarchy` int(11) NOT NULL,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`regional_level_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
INSERT INTO `vrs4_regional_levels` (`regional_level_id`, `title`, `hierarchy`, `active`) VALUES
(1, 'continents', 1, '1'),
(2, 'countries', 2, '1'),
(3, 'regions', 3, '1'),
(4, 'cities', 4, '1');
--
CREATE TABLE `vrs4_reviews` (
  `review_id` int(11) NOT NULL auto_increment,
  `ctime` datetime default NULL,
  `property_id` int(11) NOT NULL,
  `name` varchar(255) character set utf8 NOT NULL,
  `email_address` varchar(255) character set utf8 NOT NULL,
  `title` varchar(255) character set utf8 NOT NULL,
  `body` text character set utf8 NOT NULL,
  `rate` int(10) unsigned default NULL,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`review_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8  AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_sections` (
  `section_id` int(11) NOT NULL auto_increment,
  `title_1` varchar(100) character set utf8 NOT NULL,
  `title_2` varchar(100) default NULL,
  `title_3` varchar(100) default NULL,
  `title_4` varchar(100) NOT NULL,
  `title_5` varchar(100) NOT NULL,
  `alias` varchar(255) default NULL,
  `keywords_tag_1` varchar(255) default NULL,
  `keywords_tag_2` varchar(255) default NULL,
  `keywords_tag_3` varchar(255) default NULL,
  `keywords_tag_4` varchar(255) default NULL,
  `keywords_tag_5` varchar(255) default NULL,
  `description_tag_1` varchar(255) default NULL,
  `description_tag_2` varchar(255) default NULL,
  `description_tag_3` varchar(255) default NULL,
  `description_tag_4` varchar(255) default NULL,
  `description_tag_5` varchar(255) default NULL,
  `content_1` text character set utf8,
  `content_2` text,
  `content_3` text,
  `content_4` text,
  `content_5` text,
  `template` varchar(255) NOT NULL,
  `show_in_menu` enum('0','1') NOT NULL default '1',
  `menu_hierarchy` int(11) NOT NULL default '0',
  `is_homepage` enum('0','1') NOT NULL default '0',
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`section_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
INSERT INTO `vrs4_sections` (`section_id`, `title_1`, `title_2`, `title_3`, `title_4`, `title_5`, `alias`, `keywords_tag_1`, `keywords_tag_2`, `keywords_tag_3`, `keywords_tag_4`, `keywords_tag_5`, `description_tag_1`, `description_tag_2`, `description_tag_3`, `description_tag_4`, `description_tag_5`, `content_1`, `content_2`, `content_3`, `content_4`, `content_5`, `template`, `show_in_menu`, `menu_hierarchy`, `is_homepage`, `active`) VALUES
(1, 'Home', '', '0', '0', '0', 'home', '', '', '0', '0', '0', '', '', '0', '0', '0', '<h1 class="light-blue">Vacation Rental 4.0</h1>\n<ul>\n<li class="normal_text">are u in the business of vacation rentals ?</li>\n<li class="normal_text">do you want to take your business online ?</li>\n</ul>\n<p class="normal_text">You came to the right place. We bring you the only software you need: <strong>Vacation Rentals</strong>.</p>\n<p class="normal_text">Vacation Rentals is the best   solution for your  vacation rental online business.</p>\n<p class="normal_text">It&rsquo;s <strong>easy to install</strong>, easy to use, provides lots of features and option details. Just check the online demo and convince yourself about how easy is to manage your business online.</p>\n<p class="normal_text">The software gives the big opportunity of being reached by thousands of people &ndash; all possible clients &ndash; looking for vacation places.</p>\n<p class="normal_text">The software displays your listings featuring pictures, prices, availability, advanced searches and many, many more all being managed by you from the Admin Area via your web browser.</p>\n<p class="normal_text"><strong>No coding knowledge</strong> required! It can be managed by a single person, with or without technical experience, reducing the costs of maintenance.</p>\n<p class="normal_text">You control the way your site will look, add your own logo or create your own site template.</p>\n<p class="normal_text">You get full control of all vacation rental listings inventory and manage all the aspects of a vacation rental listing including rates, availability, and many more. The Vacation Rentals Script features the possibility to manage the content and the aspect of your site.</p>\n<p>{include file="featured-listing.tpl"}</p>', '', '', '', '', 'basic-page-left-column.tpl', '1', 0, '1', '1'),
(2, 'Sign up', '', '0', '0', '0', 'signup', '', '', '0', '0', '0', '', '', '0', '0', '0', '<p>{include file="signup-form.tpl"}</p>', '', '', '', '', 'basic-page-left-column.tpl', '1', 1, '0', '1'),
(3, 'Owner login', '0', '0', '0', '0', 'members', '', '0', '0', '0', '0', '', '0', '0', '0', '0', '<p>owner login</p>', '', '', '', '', 'basic-page-left-column.tpl', '1', 2, '0', '1');
--
CREATE TABLE `vrs4_sessions` (
  `session_id` varchar(40) NOT NULL default '0',
  `ip_address` varchar(16) NOT NULL default '0',
  `user_agent` varchar(50) NOT NULL,
  `last_activity` int(10) unsigned NOT NULL default '0',
  `session_data` text,
  PRIMARY KEY  (`session_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
--
CREATE TABLE `vrs4_settings` (
  `settings_id` int(11) NOT NULL auto_increment,
  `languages` text,
  `global_settings` text,
  `emails` text,
  `payment` text,
  PRIMARY KEY  (`settings_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
INSERT INTO `vrs4_settings` (`settings_id`, `languages`, `global_settings`, `emails`, `payment`) VALUES
(1, 'a:10:{s:12:"admin_lang_1";s:1:"2";s:12:"admin_lang_2";s:0:"";s:12:"admin_lang_3";s:0:"";s:12:"admin_lang_4";s:0:"";s:12:"admin_lang_5";s:0:"";s:14:"default_lang_1";s:1:"2";s:14:"default_lang_2";s:0:"";s:14:"default_lang_3";s:0:"";s:14:"default_lang_4";s:0:"";s:14:"default_lang_5";s:0:"";}', '', 'a:6:{s:9:"smtp_host";s:9:"localhost";s:9:"smtp_user";s:0:"";s:9:"smtp_port";s:2:"25";s:8:"use_smtp";s:1:"0";s:13:"smtp_password";s:0:"";s:29:"delete_old_system_alerts_days";s:1:"5";}', 'a:9:{s:10:"use_paypal";s:1:"1";s:15:"business_paypal";s:25:"yourbusiness@business.com";s:16:"test_mode_paypal";s:1:"1";s:20:"info_wire_transfer_1";s:442:"<strong>Our bank account information is as follows:</strong>\n \nPlease transfer payments in EUR, GBP, or USD to:\n\n<strong>Beneficiary:</strong> .........\n\n<strong>Bank:</strong> .........\n\n<strong>IBAN:</strong> .........\n\n<strong>Account Number:</strong> .........\n\n<strong>SWIFT / BIC:</strong> .........\n\n<strong>Note to Payee:</strong> .........\n\n<strong>Amount:</strong> {$amount}\n\n<strong>Address of the Beneficiary:</strong> .........\n\n";s:17:"use_wire_transfer";s:1:"1";s:20:"info_wire_transfer_2";b:0;s:20:"info_wire_transfer_3";b:0;s:20:"info_wire_transfer_4";b:0;s:20:"info_wire_transfer_5";b:0;}');
--
CREATE TABLE `vrs4_system_alerts` (
  `system_alert_id` int(11) NOT NULL auto_increment,
  `ctime` datetime default NULL,
  `from_id` int(11) default NULL,
  `from_email` varchar(255) default NULL,
  `to_id` int(11) default NULL,
  `to_email` text character set utf8,
  `subject` varchar(255) character set utf8 default NULL,
  `body` text character set utf8,
  `alert_status` enum('0','1') NOT NULL,
  PRIMARY KEY  (`system_alert_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
CREATE TABLE `vrs4_templates` (
  `template_id` int(11) NOT NULL auto_increment,
  `template_type` varchar(255) NOT NULL,
  `template_timestamp` timestamp NULL default NULL,
  `template` varchar(255) default NULL,
  `title` varchar(255) character set utf8 NOT NULL,
  `content` text character set utf8 NOT NULL,
  `active` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`template_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
--
INSERT INTO `vrs4_templates` (`template_id`, `template_type`, `template_timestamp`, `template`, `title`, `content`, `active`) VALUES
(1, 'page', NULL, 'basic-page-left-column.tpl', 'basic page left column', '{include file="__page_left_column.tpl"}', '1');
--
CREATE TABLE `vrs4_users` (
  `user_id` int(11) NOT NULL auto_increment,
  `lang_id` int(11) default NULL,
  `user_name` varchar(45) NOT NULL,
  `password` varchar(50) NOT NULL,
  `email` varchar(120) NOT NULL,
  `role` varchar(50) NOT NULL default 'user',
  `banned` tinyint(1) NOT NULL default '0',
  `forgotten_password_code` varchar(50) default NULL,
  `last_visit` datetime default NULL,
  `created` datetime default NULL,
  `modified` datetime default NULL,
  `profile_full_name` varchar(255) character set utf8 default NULL,
  `profile_address` text character set utf8,
  `profile_phone1` varchar(15) default NULL,
  `profile_phone2` varchar(15) default NULL,
  `profile_fax` varchar(15) default NULL,
  `profile_logo` varchar(255) default NULL,
  `profile_spoken_languages` varchar(255) default NULL,
  `profile_web_address` varchar(255) default NULL,
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;